<?php
	///////////////////////////////////////////////////////////////////////////////
	// Copyright  2003 Michael Bird. All Rights Reserved                        //
	//                                                                           //
	// This file is part of Help Center Live.                                    //
	//                                                                           //
	// Help Center Live is free software; you can redistribute it and/or modify  //
	// it under the terms of the GNU General Public License as published by      //
	// the Free Software Foundation; either version 2 of the License, or         //
	// (at your option) any later version.                                       //
	//                                                                           //
	// Help Center Live is distributed in the hope that it will be useful,       //
	// but WITHOUT ANY WARRANTY; without even the implied warranty of            //
	// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             //
	// GNU General Public License for more details.                              //
	//                                                                           //
	// You should have received a copy of the GNU General Public License         //
	// along with Help Center Live; if not, write to the Free Software           //
	// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA //
	///////////////////////////////////////////////////////////////////////////////



	include_once("../../inc/config.php");
	include_once("../../inc/database.php");
	include_once("../../inc/isoperator.php");

			if($ADMIN_isoperator !== 1){
				echo("Error - You do not have permission to access this area");
				exit;
			}
?>
<html>
<head>
<title>Help Center Live Request[Monitor]</title>
<link href="<?php echo($URL_maindir);?>/css/lh/request.css" rel="stylesheet" type="text/css">
</head>
<?php
	$result = DATABASE_query("SELECT * FROM ".$DB_prefix."departments WHERE operator='$ADMIN_operator' ORDER BY id ASC");
	while($get = DATABASE_fetch($result)){
		$ADMIN_department = $get["department"];
		$ADMIN_poll = $get["poll"];
			$result_request = DATABASE_query("SELECT * FROM ".$DB_prefix."session WHERE alert='transfering' AND department='$ADMIN_department' AND poll='$ADMIN_poll' ORDER BY id DESC");
			while($fetch = DATABASE_fetch($result_request)){
				if(!isset($onload)){
					$onload = 1;
?>
<body onLoad="parent.window.focus();parent.window.setrefresh();">
<?php
				}
			}

			$result_request = DATABASE_query("SELECT * FROM ".$DB_prefix."session WHERE alert='request' AND department='$ADMIN_department' AND poll='$ADMIN_poll' ORDER BY id DESC");
			while($fetch = DATABASE_fetch($result_request)){
				if(!isset($onload)){
					$onload = 1;
?>
<body onLoad="parent.window.focus();parent.window.setrefresh();">
<?php
				}
			}

			$result_request = DATABASE_query("SELECT * FROM ".$DB_prefix."session WHERE alert='received' AND department='$ADMIN_department' AND poll='$ADMIN_poll' ORDER BY id DESC");
			while($fetch = DATABASE_fetch($result_request)){
				if(!isset($onload)){
					$onload = 1;
?>
<body onLoad="parent.window.focus();parent.window.setrefresh();">
<?php
				}
			}

			$result_request = DATABASE_query("SELECT * FROM ".$DB_prefix."session WHERE alert='opchatreceived' AND department='$ADMIN_department' AND poll='$ADMIN_poll' ORDER BY id DESC");
			while($fetch = DATABASE_fetch($result_request)){
				if(!isset($onload)){
					$onload = 1;
?>
<body onLoad="parent.window.focus();parent.window.setrefresh();">
<?php
				}
			}
	}

	if(!isset($onload)){
?>
<body>
<?php
	}


	//Check for chat requests

	$result_dep = DATABASE_query("SELECT * FROM ".$DB_prefix."departments WHERE operator='$ADMIN_operator' ORDER BY id ASC");
	while($get = DATABASE_fetch($result_dep)){
		$ADMIN_department = $get["department"];
		$ADMIN_poll = $get["poll"];

			$result_request = DATABASE_query("SELECT * FROM ".$DB_prefix."session WHERE alert='transfering' AND department='$ADMIN_department' AND poll='$ADMIN_poll' ORDER BY id DESC");

			while($fetch = DATABASE_fetch($result_request)){
				$SOUNDS_newtransfer = 1;
				$REQUEST_id = $fetch["id"];
				$REQUEST_uid = $fetch["chatid"];
				$REQUEST_name = $fetch["guest"];
				$REQUEST_operator = $fetch["operator"];
?>
				<table width="90%" align="center" border="0" cellspacing="1" cellpadding="2" class="box">
				  <tr>
				    <td bgcolor="<?php echo($TABLE_hcolour); ?>">Chat Transfer</td>
				    <td bgcolor="<?php echo($TABLE_dcolour); ?>"><?php echo($REQUEST_name); ?> from <?php echo($REQUEST_operator); ?></td>
				    <td bgcolor="<?php echo($TABLE_dcolour); ?>"><div align="right">[<a href="javascript:parent.window.accept_transfer('<?php echo($REQUEST_id); ?>', '<?php echo($REQUEST_uid); ?>')">accept</a>] [<a href="javascript:parent.window.decline_transfer('<?php echo($REQUEST_id); ?>', '<?php echo($REQUEST_uid); ?>')">decline</a>]</div></td>
				  </tr>
				</table>
				<br>
<?php

			}

			$result_request = DATABASE_query("SELECT * FROM ".$DB_prefix."session WHERE alert='request' AND department='$ADMIN_department' AND poll='$ADMIN_poll' ORDER BY id DESC");
			while($fetch = DATABASE_fetch($result_request)){
				$SOUNDS_newrequest = 1;
				$REQUEST_id = $fetch["id"];
				$REQUEST_uid = $fetch["chatid"];
				$REQUEST_name = $fetch["guest"];
?>
				<table width="90%" align="center" border="0" cellspacing="1" cellpadding="2" class="box">
				  <tr>
				    <td bgcolor="<?php echo($TABLE_hcolour); ?>">Chat Request</td>
				    <td bgcolor="<?php echo($TABLE_dcolour); ?>"><?php echo($REQUEST_name); ?></td>
				    <td bgcolor="<?php echo($TABLE_dcolour); ?>"><div align="right">[<a href="javascript:parent.window.accept('<?php echo($REQUEST_id); ?>', '<?php echo($REQUEST_uid); ?>')">accept</a>] [<a href="javascript:parent.window.decline('<?php echo($REQUEST_id); ?>', '<?php echo($REQUEST_uid); ?>')">decline</a>]</div></td>
				  </tr>
				</table>
				<br>
<?php

			}

			$result_request = DATABASE_query("SELECT * FROM ".$DB_prefix."session WHERE alert='received' AND department='$ADMIN_department' AND poll='$ADMIN_poll' ORDER BY id DESC");

			while($fetch = DATABASE_fetch($result_request)){
				$SOUNDS_newrequest = 1;
				$REQUEST_id = $fetch["id"];
				$REQUEST_uid = $fetch["chatid"];
				$REQUEST_name = $fetch["guest"];
?>
				<table width="90%" align="center" border="0" cellspacing="1" cellpadding="2" class="box">
				  <tr>
				    <td bgcolor="<?php echo($TABLE_hcolour); ?>">Chat Request</td>
				    <td bgcolor="<?php echo($TABLE_dcolour); ?>"><?php echo($REQUEST_name); ?></td>
				    <td bgcolor="<?php echo($TABLE_dcolour); ?>"><div align="right">[<a href="javascript:parent.window.accept('<?php echo($REQUEST_id); ?>', '<?php echo($REQUEST_uid); ?>')">accept</a>] [<a href="javascript:parent.window.decline('<?php echo($REQUEST_id); ?>', '<?php echo($REQUEST_uid); ?>')">decline</a>]</div></td>
				  </tr>
				</table>
				<br>
<?php

			}
	}

			$ADMIN_opchatdep = "opchat_".$ADMIN_operator;
			$result_request = DATABASE_query("SELECT * FROM ".$DB_prefix."session WHERE alert='opchatreceived' AND department='$ADMIN_opchatdep' AND poll='0' ORDER BY id DESC");

			while($fetch = DATABASE_fetch($result_request)){
				$SOUNDS_newopchat = 1;
				$REQUEST_id = $fetch["id"];
				$REQUEST_uid = $fetch["chatid"];
				$REQUEST_name = $fetch["guest"];
?>
				<table width="90%" align="center" border="0" cellspacing="1" cellpadding="2" class="box">
				  <tr>
				    <td bgcolor="<?php echo($TABLE_hcolour); ?>">Operator Chat Request</td>
				    <td bgcolor="<?php echo($TABLE_dcolour); ?>"><?php echo($REQUEST_name); ?></td>
				    <td bgcolor="<?php echo($TABLE_dcolour); ?>"><div align="right">[<a href="javascript:parent.window.accept_opchat('<?php echo($REQUEST_id); ?>', '<?php echo($REQUEST_uid); ?>')">accept</a>] [<a href="javascript:parent.window.decline_opchat('<?php echo($REQUEST_id); ?>', '<?php echo($REQUEST_uid); ?>')">decline</a>]</div></td>
				  </tr>
				</table>
				<br>
<?php

			}

	$TRAFFIC_time = time();
	$TRAFFIC_idle = $TRAFFIC_time - $TRAFFIC_timeout;

	$result_sound = DATABASE_query("SELECT * FROM ".$DB_prefix."sounds WHERE operator='$ADMIN_operator' AND sound='newvisitor' AND time>$TRAFFIC_idle");
	if(DATABASE_fetch($result_sound)){
		$SOUNDS_newvisitor = 1;
	}
	$result_sound = DATABASE_query("SELECT * FROM ".$DB_prefix."sounds WHERE operator='$ADMIN_operator' AND sound='hotpage' AND time>$TRAFFIC_idle");
	if(DATABASE_fetch($result_sound)){
		$SOUNDS_hotpage = 1;
	}


	// Delete expired system activity so that monitor does not keep refreshing itself
	DATABASE_query("DELETE FROM ".$DB_prefix."system WHERE time<$TRAFFIC_idle AND operator='$ADMIN_operator'");
	DATABASE_query("DELETE FROM ".$DB_prefix."sounds WHERE operator='$ADMIN_operator'");
	DATABASE_query("DELETE FROM ".$DB_prefix."sounds WHERE time<$TRAFFIC_idle");

	// Check for traffic
	$result_online = DATABASE_query("SELECT * FROM ".$DB_prefix."traffic WHERE time>$TRAFFIC_idle ORDER BY id DESC");

	while($get = DATABASE_fetch($result_online)){

		$TRAFFIC_uid = $get["chatid"];
		$TRAFFIC_time = $get["time"];
		$TRAFFIC_ip = $get["ip"];
		$TRAFFIC_hostname = $get["hostname"];

		$result_page = DATABASE_query("SELECT * FROM ".$DB_prefix."footprints WHERE chatid='$TRAFFIC_uid' ORDER BY id DESC LIMIT 1");
		if($fetch = DATABASE_fetch($result_page)){
			$TRAFFIC_page = $fetch["page"];
			$TRAFFIC_startpage = $fetch["time"];
		}

?>
<table width="90%" align="center" border="0" cellspacing="1" cellpadding="2" class="box">
  <tr>
    <td bgcolor="<?php echo($TABLE_lcolour); ?>">
<i>Status:
<?php
	$result = DATABASE_query("SELECT * FROM ".$DB_prefix."session WHERE chatid='$TRAFFIC_uid'");
	if($find = DATABASE_fetch($result)){
		$CHAT_oname = $find["operator"];
		$CHAT_gname = $find["guest"];
		$CHAT_dep = $find["department"];
		echo("In chat with ".$CHAT_oname." [".$CHAT_dep."]");
		$inchat = 1;
	}else{
		$result = DATABASE_query("SELECT * FROM ".$DB_prefix."hotpages WHERE page='$TRAFFIC_page'");
		if(DATABASE_fetch($result)){
			echo("On Hot Page");
		}else{
			echo("Browsing");
		}
	}
?></i></td>
  </tr>
  <tr>
    <td bgcolor="<?php echo($TABLE_hcolour); ?>"><div align="center"><b>Host Name</b></div></td>
  </tr>
  <tr>
    <td bgcolor="<?php echo($TABLE_dcolour); ?>"><div align="center"><?php echo($TRAFFIC_hostname); ?></div></td>
  </tr>
  <tr>
    <td bgcolor="<?php echo($TABLE_hcolour); ?>"><div align="center"><b>Current Page</b></div></td>
  </tr>
  <tr>
    <td bgcolor="<?php echo($TABLE_dcolour); ?>"><div align="center"><?php echo($TRAFFIC_page); ?></div></td>
  </tr>
  <tr>
    <td bgcolor="<?php echo($TABLE_lcolour); ?>"><div align="center">[<a href="javascript:parent.window.viewinfo('<?php echo($TRAFFIC_uid); ?>');">More Info</a>] <?php if(!isset($inchat)){ ?>[<a href="<?php echo($URL_maindir); ?>/cp/lh/request_initiate.php?chatid=<?php echo($TRAFFIC_uid); ?>">Initiate</a>]<?php } ?></div></td>
  </tr>
</table>
<br>
<?php
	}

	if($ADMIN_sounds == 1){
		if(isset($SOUNDS_newrequest)){
			echo("<EMBED src=\"".$URL_maindir."/lh/sounds/request.wav\" width=\"0\" height=\"0\" autostart=\"true\" loop=\"false\">");
		}
		if(isset($SOUNDS_newopchat)){
			echo("<EMBED src=\"".$URL_maindir."/lh/sounds/opchat.wav\" width=\"0\" height=\"0\" autostart=\"true\" loop=\"false\">");
		}
		if(isset($SOUNDS_newtransfer)){
			echo("<EMBED src=\"".$URL_maindir."/lh/sounds/transfer.wav\" width=\"0\" height=\"0\" autostart=\"true\" loop=\"false\">");
		}
		if(isset($SOUNDS_newvisitor)){
			echo("<EMBED src=\"".$URL_maindir."/lh/sounds/visitor.wav\" width=\"0\" height=\"0\" autostart=\"true\" loop=\"false\">");
		}
		if(isset($SOUNDS_hotpage)){
			echo("<EMBED src=\"".$URL_maindir."/lh/sounds/hotpage.wav\" width=\"0\" height=\"0\" autostart=\"true\" loop=\"false\">");
		}
	}
?>
<script>
<!--
	var time = parent.window.timer();
	var ismac = navigator.platform.indexOf('Mac');
	if(ismac > -1)
	{
		document.write("<img src=\"<?php echo($URL_maindir); ?>/lh/image_request.php?time="+time+"\" name=\"doimgreload\">");
	}
//-->
</script>
</body>
</html>