<?php
	///////////////////////////////////////////////////////////////////////////////
	// Copyright  2003 Michael Bird. All Rights Reserved                        //
	//                                                                           //
	// This file is part of Help Center Live.                                    //
	//                                                                           //
	// Help Center Live is free software; you can redistribute it and/or modify  //
	// it under the terms of the GNU General Public License as published by      //
	// the Free Software Foundation; either version 2 of the License, or         //
	// (at your option) any later version.                                       //
	//                                                                           //
	// Help Center Live is distributed in the hope that it will be useful,       //
	// but WITHOUT ANY WARRANTY; without even the implied warranty of            //
	// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             //
	// GNU General Public License for more details.                              //
	//                                                                           //
	// You should have received a copy of the GNU General Public License         //
	// along with Help Center Live; if not, write to the Free Software           //
	// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA //
	///////////////////////////////////////////////////////////////////////////////



	include_once("../inc/config.php");
	include_once("../inc/database.php");
	include_once("../inc/isoperator.php");
	include_once("../lang/".$LANG_setting.".php");

		$CHAT_uid = $_GET["chatid"];
		$CHAT_notimeout = time() + $CHAT_timeout;

		if(isset($_GET["win"])){
			$ADMIN_win = 1;
			$ADMIN_urlcode = "&win=1";
			$who = "o";
		}else{
			$who = "g";
		}

		$isopchat = substr($CHAT_uid, 0, 7);
		if($isopchat == "opchat_"){
			$ADMIN_opchat = 1;
		}

		$result = DATABASE_query("SELECT * FROM ".$DB_prefix."session WHERE chatid='$CHAT_uid'");
		if($get = DATABASE_fetch($result)){
			$CHAT_oname = $get["operator"];
			$CHAT_gname = $get["guest"];
			$CHAT_dep = $get["department"];
		}

		// Find the latest chat entries that have not been sent yet
		if($ADMIN_isoperator == 1 && $ADMIN_win == 1){
			$result = DATABASE_query("SELECT * FROM ".$DB_prefix."chat WHERE chatid='$CHAT_uid' AND operator='0' ORDER BY id ASC");
			$IMAGE[x] = "o";
		}else{
			$result = DATABASE_query("SELECT * FROM ".$DB_prefix."chat WHERE chatid='$CHAT_uid' AND guest='0' ORDER BY id ASC");
			$IMAGE[x] = "g";
		}

			if($get = DATABASE_fetch($result)){
				$CHAT_id = $get["id"];
				$CHAT_author = $get["author"];
				$CHAT_message = $get["message"];

					// Parse for commands
					$CHAT_message = rawurldecode($CHAT_message);
					$CHAT_message .= " ";
					$CHAT_message = preg_replace("/%%user%%/i", $CHAT_gname, $CHAT_message);
					$CHAT_message = preg_replace("/url:(.*?) /i", "<a href=\"\\1\" target=\"_blank\">\\1</a> ", $CHAT_message);
					$CHAT_message = preg_replace("/image:(.*?) /i", "<img src=\"\\1\"> ", $CHAT_message);
					$CHAT_message = preg_replace("/email:(.*?) /i", "<a href=\"mailto:\\1\">\\1</a> ", $CHAT_message);
					if(preg_match("/push:(.*?) /i", $CHAT_message, $matches)){

						if(!isset($ADMIN_win)){
							$CHAT_dopush = $matches[1];
							$CHAT_message = preg_replace("/push:(.*?) /i", "<i>".$LANG_pushed_page.": \\1</i> ", $CHAT_message);
							DATABASE_query("UPDATE ".$DB_prefix."session SET timeg='$CHAT_notimeout' WHERE chatid='$CHAT_uid'");
						}else{
							$CHAT_message = preg_replace("/push:(.*?) /i", "<i>Pushed Page: \\1</i> ", $CHAT_message);
						}

					}

					$CHAT_message = rawurlencode($CHAT_message);


				$CHAT_x = $get["x"];
				$CHAT_dowrite = 1;
			}else{
				$CHAT_dowrite = 0;
			}

		if($CHAT_dowrite == 1){
			if($IMAGE[x] == "o"){
				DATABASE_query("UPDATE ".$DB_prefix."chat SET operator='1' WHERE id='$CHAT_id'");
			}else{
				DATABASE_query("UPDATE ".$DB_prefix."chat SET guest='1' WHERE id='$CHAT_id'");
			}
		}



		$result_transfered = DATABASE_query("SELECT * FROM ".$DB_prefix."session WHERE alert='transferdone' AND chatid='$CHAT_uid' ORDER BY id DESC LIMIT 1");
		if($get = DATABASE_fetch($result_transfered)){
			$CHAT_sid = $get["id"];
			$CHAT_operator = $get["operator"];
			$CHAT_department = $get["department"];
			if(isset($ADMIN_win) && $ADMIN_isoperator == 1){
				if($CHAT_operator !== $ADMIN_operator){
					$CHAT_transfer = 1;
				}
			}elseif(!isset($ADMIN_win) || $ADMIN_isoperator == 1){
				$CHAT_transfer = 1;
			}

			DATABASE_query("UPDATE ".$DB_prefix."session SET alert='neutral' WHERE id='$CHAT_sid'");
		}

		if(isset($ADMIN_win) && $ADMIN_isoperator == 1){
			$result_notransfer = DATABASE_query("SELECT * FROM ".$DB_prefix."session WHERE alert='notransfer' AND chatid='$CHAT_uid' ORDER BY id DESC LIMIT 1");
			if($get = DATABASE_fetch($result_notransfer)){
				$CHAT_notransfer = 1;
				$CHAT_sid = $get["id"];
				DATABASE_query("UPDATE ".$DB_prefix."session SET alert='neutral' WHERE id='$CHAT_sid'");
			}
		}

?>
<html>
<head>
<title>Help Center Live - Chat[Process]</title>
<script>
<!--

	var date;
	var time;
	var ismac = navigator.platform.indexOf('Mac');
	var doimage = new Image;
	var imgwidth = 0;
	var message;
	var leftchat;
	var closeflag = 0;

		function timer()
		{
			date = new Date();
			return date.getTime();
		}

		function dofocus()
		{
			setTimeout("focusit()",500);
		}

		function focusit()
		{
			time = timer();
<?php if(($CHAT_x == "o" && !isset($ADMIN_win)) || ($CHAT_x == "g" && isset($ADMIN_win))){ ?>
			parent.window.focus();
			parent.window.send.document.chat_send_form.chat_send_box.focus();
			parent.type.location.href = "<?php echo($URL_maindir); ?>/lh/chat_type.php?chatid=<?php echo($_GET["chatid"]);  if(isset($ADMIN_urlcode)){ echo($ADMIN_urlcode); } ?>&time="+time;
<?php } ?>
		}

		function check()
		{
			time = timer();

			if(ismac > -1)
			{
				imgwidth = document.images['doimgreload'].width;
			}else{
				imgwidth = doimage.width;
			}

				if (imgwidth == 2)
				{
					location.href = "<?php echo($URL_maindir); ?>/lh/chat_process.php?chatid=<?php echo($_GET["chatid"]);  if(isset($ADMIN_urlcode)){ echo($ADMIN_urlcode); } ?>&time="+time;
				}
				else if (imgwidth == 3)
				{
					parent.window.type.location.href = "<?php echo($URL_maindir); ?>/lh/chat_type.php?chatid=<?php echo($_GET["chatid"]);  if(isset($ADMIN_urlcode)){ echo($ADMIN_urlcode); } ?>&time="+time;
				}
				else if (imgwidth == 4 && closeflag == 0)
				{
					doclose();
				}
		}

		function doreload()
		{
			time = timer();

			if(ismac > -1)
			{
				document.images['doimgreload'].src = "<?php echo($URL_maindir); ?>/lh/image_chat.php?x=<?php echo($IMAGE[x]); ?>&chatid=<?php echo($_GET["chatid"]); ?>&typing="+parent.window.typing+"&who=<?php echo($who); ?>&time="+time;
				document.images['doimgreload'].onload = check;
			}else{
				doimage = new Image;
				doimage.src = "<?php echo($URL_maindir); ?>/lh/image_chat.php?x=<?php echo($IMAGE[x]); ?>&chatid=<?php echo($_GET["chatid"]); ?>&typing="+parent.window.typing+"&who=<?php echo($who); ?>&time="+time;
				doimage.onload = check;
			}

			if(closeflag == 0){
				setTimeout("doreload();",<?php echo($CHAT_refresh); ?>);
			}
		}

<?php
	if(isset($CHAT_transfer) && $ADMIN_isoperator == 1 && isset($ADMIN_win)){
?>
		function dotransfer()
		{
			alert("<?php echo($LANG_transfer_to); ?> <?php echo($CHAT_operator); ?> [<?php echo($CHAT_department); ?>]");
			parent.window.close();
		}
<?php
	}elseif(isset($CHAT_notransfer) && $ADMIN_isoperator == 1 && isset($ADMIN_win)){
?>
		function dotransfer()
		{
			message = "<br><div align=\"center\"><i><span class=\"operator\"><?php echo($LANG_transfer_failed); ?></span></i></div><br><br>\n";

			parent.window.display.document.body.innerHTML = parent.window.display.document.body.innerHTML + message;
			parent.window.display.scroll(0,10000);
		}
<?php
	}elseif(isset($CHAT_transfer)){
		if(!isset($ADMIN_win) || $ADMIN_isoperator == 0){
?>
		function dotransfer()
		{
			message = "<br><div align=\"center\"><i><span class=\"operator\"><?php echo($LANG_transfered_you_to); ?> <?php echo($CHAT_operator); ?> [<?php echo($CHAT_department); ?>]</span></i></div><br>\n";

			parent.window.display.document.body.innerHTML = parent.window.display.document.body.innerHTML + message;
			parent.window.display.scroll(0,10000);
			parent.window.topframe.location.href = "<?php echo($URL_maindir); ?>/lh/chat_top.php?chatid=<?php echo($_GET["chatid"]);  if(isset($ADMIN_urlcode)){ echo($ADMIN_urlcode); } ?>&time="+time;
		}
<?php
		}
	}
?>


		function doclose()
		{
			closeflag = 1;
<?php
	$result = DATABASE_query("SELECT * FROM ".$DB_prefix."session WHERE chatid='$CHAT_uid'");
	if($get = DATABASE_fetch($result)){
		$CHAT_oname = $get["operator"];
		$CHAT_gname = $get["guest"];
		$CHAT_dep = $get["department"];
	}

	if($ADMIN_isoperator == 1 && $ADMIN_autosave !== 1 && isset($_GET["win"])){
?>
			time = timer();
			leftchat = confirm("<?php echo($CHAT_gname); ?> has left this chat session.\nDo you wish to save this chat transcript?");
			if(leftchat){
				parent.window.location.href = "<?php echo($URL_maindir); ?>/lh/chat_end.php?department=<?php echo($CHAT_dep); ?>&guest=<?php echo($CHAT_gname); ?>&chatid=<?php echo($_GET["chatid"]);  if(isset($ADMIN_urlcode)){ echo($ADMIN_urlcode); } ?>&time="+time;
			}else{
				leftchat = confirm("Do you wish to close this window?");
				if(leftchat){
					parent.window.close();
				}else{
					parent.window.send.document.chat_send_form.chat_send_box.disabled = true;
					parent.window.send.document.chat_send_form.chat_send_submit.disabled = true;
				}
			}
<?php
	}elseif($ADMIN_isoperator == 1 && $ADMIN_autosave == 1 && isset($_GET["win"]) && !isset($ADMIN_opchat)){
?>
			time = timer();
			leftchat = confirm("<?php echo($CHAT_gname); ?> has left this chat session.\nDo you wish to close this window?");
			if(leftchat){
				parent.window.location.href = "<?php echo($URL_maindir); ?>/lh/chat_end.php?department=<?php echo($CHAT_dep); ?>&guest=<?php echo($CHAT_gname); ?>&chatid=<?php echo($_GET["chatid"]);  if(isset($ADMIN_urlcode)){ echo($ADMIN_urlcode); } ?>&time="+time;
			}else{
				parent.window.send.document.chat_send_form.chat_send_box.disabled = true;
				parent.window.send.document.chat_send_form.chat_send_submit.disabled = true;
			}
<?php
	}elseif($ADMIN_isoperator == 1 && isset($_GET["win"]) && isset($ADMIN_opchat)){
?>
			time = timer();
			leftchat = confirm("<?php echo($CHAT_gname); ?> has left this chat session.\nDo you wish to close this window?");
			if(leftchat){
				parent.window.location.href = "<?php echo($URL_maindir); ?>/lh/chat_end.php?department=<?php echo($CHAT_dep); ?>&guest=<?php echo($CHAT_gname); ?>&chatid=<?php echo($_GET["chatid"]);  if(isset($ADMIN_urlcode)){ echo($ADMIN_urlcode); } ?>&time="+time;
			}else{
				parent.window.send.document.chat_send_form.chat_send_box.disabled = true;
				parent.window.send.document.chat_send_form.chat_send_submit.disabled = true;
			}
<?php
	}elseif($ADMIN_isoperator == 1 && !isset($_GET["win"]) && isset($ADMIN_opchat)){
?>
			time = timer();
			leftchat = confirm("<?php echo($CHAT_oname); ?> has left this chat session.\nDo you wish to close this window?");
			if(leftchat){
				parent.window.location.href = "<?php echo($URL_maindir); ?>/lh/chat_end.php?department=<?php echo($CHAT_dep); ?>&guest=<?php echo($CHAT_gname); ?>&chatid=<?php echo($_GET["chatid"]);  if(isset($ADMIN_urlcode)){ echo($ADMIN_urlcode); } ?>&time="+time;
			}else{
				parent.window.send.document.chat_send_form.chat_send_box.disabled = true;
				parent.window.send.document.chat_send_form.chat_send_submit.disabled = true;
			}
<?php
	}else{
?>
			time = timer();
			parent.window.location.href = "<?php echo($URL_maindir); ?>/lh/chat_end.php?visitor=1&department=<?php echo($CHAT_dep); ?>&operator=<?php echo($CHAT_oname); ?>&guest=<?php echo($CHAT_gname); ?>&chatid=<?php echo($_GET["chatid"]);  if(isset($ADMIN_urlcode)){ echo($ADMIN_urlcode); } ?>&time="+time;
<?php
	}
?>
		}
<?php
	// Check to see if there is a new message, if so, write it in the display
	if($CHAT_dowrite == 1){
?>
		function write()
		{
				msg = "<?php echo($CHAT_message); ?>";
<?php if($CHAT_x == "o"){ ?>
				message = "<span class=\"operator\"><b><?php echo($CHAT_author); ?>:</b> "+unescape(msg)+"</span><br>\n";
<?php }elseif($CHAT_x == "g"){ ?>
				message = "<span class=\"guest\"><b><?php echo($CHAT_author); ?>:</b> "+unescape(msg)+"</span><br>\n";
<?php }else{ ?>
				message = "<br><br><b>ERROR: Cannot detect author 'x' code</b><br><br>";
<?php } ?>
<?php if(($CHAT_x == "o" && !isset($ADMIN_win)) || ($CHAT_x == "g" && isset($ADMIN_win))){ ?>
			parent.window.display.document.body.innerHTML = parent.window.display.document.body.innerHTML + message;
			parent.window.display.scroll(0,10000);
<?php } ?>
		}
<?php
	}
?>
		function start()
		{
			time = timer();
			if(ismac > -1)
			{
				setTimeout("doreload();",<?php echo($CHAT_refresh); ?>);
			}else{
				doreload();
			}
		}
//-->
</script>
</head>
<body onload="start();dofocus();<?php if($CHAT_dowrite == 1){ ?>write();<?php } ?><?php if(isset($CHAT_dopush)){ ?>parent.window.topframe.dopush('<?php echo($CHAT_dopush); ?>');<?php } ?><?php if(isset($CHAT_transfer) || isset($CHAT_notransfer)){ ?>dotransfer();<?php } ?>">
<?php //Check to see if sounds are on, if so display message notification ?>
<?php if(($CHAT_x == "o" && !isset($ADMIN_win)) || ($CHAT_x == "g" && isset($ADMIN_win))){ ?>
	<?php if($ADMIN_isoperator == 1){ ?>
		<?php if($ADMIN_sounds == 1){ ?>
<EMBED NAME='sound' SRC='<?php echo($URL_maindir); ?>/lh/sounds/ding.wav' LOOP=false AUTOSTART=true MASTERSOUND HIDDEN=true WIDTH=0 HEIGHT=0></EMBED>
		<?php } ?>
	<?php }else{ ?>
<EMBED NAME='sound' SRC='<?php echo($URL_maindir); ?>/lh/sounds/ding.wav' LOOP=false AUTOSTART=true MASTERSOUND HIDDEN=true WIDTH=0 HEIGHT=0></EMBED>
	<?php } ?>
<?php } ?>
<script>
<!--
	if(ismac > -1)
	{
		document.write("<img src=\"<?php echo($URL_maindir); ?>/lh/image_chat.php?x=<?php echo($IMAGE[x]); ?>&chatid=<?php echo($_GET["chatid"]); ?>&time="+time+"\" name=\"doimgreload\">");
	}
//-->
</script>
</body>
</html>