<?php
	///////////////////////////////////////////////////////////////////////////////
	// Copyright  2003 Michael Bird. All Rights Reserved                        //
	//                                                                           //
	// This file is part of Help Center Live.                                    //
	//                                                                           //
	// Help Center Live is free software; you can redistribute it and/or modify  //
	// it under the terms of the GNU General Public License as published by      //
	// the Free Software Foundation; either version 2 of the License, or         //
	// (at your option) any later version.                                       //
	//                                                                           //
	// Help Center Live is distributed in the hope that it will be useful,       //
	// but WITHOUT ANY WARRANTY; without even the implied warranty of            //
	// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             //
	// GNU General Public License for more details.                              //
	//                                                                           //
	// You should have received a copy of the GNU General Public License         //
	// along with Help Center Live; if not, write to the Free Software           //
	// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA //
	///////////////////////////////////////////////////////////////////////////////




	// This is the main exchange point in the software. It
	// links the live help with both email, trouble tickets and
	// FAQ.

	include_once("../inc/config.php");
	include_once("../inc/database.php");
	include_once("../lang/".$LANG_setting.".php");

	$MAIL_type = $_GET["type"];

	if($MAIL_option == "ticket"){

		if(isset($_COOKIE["HelpCenterLiveUser"])){
			if(isset($_COOKIE["HelpCenterLivePass"])){
				$TICKETS_username = $_COOKIE["HelpCenterLiveUser"];
				$TICKETS_password = $_COOKIE["HelpCenterLivePass"];
				$result = DATABASE_query("SELECT * FROM ".$DB_prefix."users WHERE username='$TICKETS_username' AND password='$TICKETS_password'");
				if($get = DATABASE_fetch($result)){
					$TICKETS_firstname = $get["firstname"];
					$TICKETS_lastname = $get["lastname"];
					$TICKETS_email = $get["email"];
					$TICKETS_login = 1;
				}else{
					$TICKETS_login = 0;
				}
			}else{
				$TICKETS_login = 0;
			}
		}else{
			$TICKETS_login = 0;
		}

	}

	if(isset($_POST["submit"])){

		if($MAIL_option == "ticket"){

			// put message in db as trouble ticket

			if($_POST["acct"] == 1){

				if($TICKETS_login !== 1){

					if($_POST["password"] == ""){
						$TICKETS_error = 1;
						$MAIL_header = "<b><font color=\"#FF0000\">Error:".$LANG_enter_password."</font></b><br><br>";
						unset($_POST["submit"], $submit);
					}elseif($_POST["username"] == ""){
						$TICKETS_error = 1;
						$MAIL_header = "<b><font color=\"#FF0000\">Error:".$LANG_enter_username."</font></b><br><br>";
						unset($_POST["submit"], $submit);
					}else{
						$TICKETS_error = 0;
					}

					// Guest is not logged in so lets log them in
					$TICKETS_username = $_POST["username"];
					$password = $_POST["password"];
					$TICKETS_password = md5($password);
					$result = DATABASE_query("SELECT * FROM ".$DB_prefix."users WHERE username='$TICKETS_username' AND password='$TICKETS_password'");
					if(DATABASE_fetch($result)){

						$time = time() + 60*60*24*7;
						setcookie("HelpCenterLiveUser", $LOGIN_username, $time, $URL_dir, $URL_site, $URL_secure);
						setcookie("HelpCenterLivePass", $LOGIN_password, $time, $URL_dir, $URL_site, $URL_secure);

						if($_POST["subject"] == ""){
							$TICKETS_error = 1;
							$MAIL_header = "<b><font color=\"#FF0000\">Error:".$LANG_enter_subject."</font></b><br><br>";
							unset($_POST["submit"], $submit);
						}elseif($_POST["message"] == ""){
							$TICKETS_error = 1;
							$MAIL_header = "<b><font color=\"#FF0000\">Error:".$LANG_enter_message."</font></b><br><br>";
							unset($_POST["submit"], $submit);
						}elseif($_POST["department"] == ""){
							$TICKETS_error = 1;
							$MAIL_header = "<b><font color=\"#FF0000\">Error:".$LANG_enter_department."</font></b><br><br>";
							unset($_POST["submit"], $submit);
						}else{
							$TICKETS_error = 0;
						}


						if($TICKETS_error !== 1){

							$subject = $_POST["subject"];
							$message =  rawurldecode($_POST["message"]);
							$time = gmdate("l dS of F Y \a\\t h:i:s a", time()+($TIME_offset * 3600));
							$username = $TICKETS_username;
							$urgency = $_POST["urgency"];
							$department = $_POST["department"];

							DATABASE_query("INSERT INTO ".$DB_prefix."tickets (username,department,subject,status,urgency) VALUES ('$username','$department','$subject','4','$urgency')");
							$tid = mysql_insert_id();
							DATABASE_query("INSERT INTO ".$DB_prefix."responses (ticketid,author,time,message) VALUES ('$tid','0','$time','$message')");
							$MAIL_header = $LANG_ticket_create;
						}

					}else{
						$MAIL_header = $LANG_user_pass_incorrect;
						unset($_POST["submit"], $submit);
					}

				}else{
					// Guest is already logged in so we do not need to log them in

					if($_POST["subject"] == ""){
						$TICKETS_error = 1;
						$MAIL_header = "<b><font color=\"#FF0000\">Error:".$LANG_enter_subject."</font></b><br><br>";
						unset($_POST["submit"], $submit);
					}elseif($_POST["message"] == ""){
						$TICKETS_error = 1;
						$MAIL_header = "<b><font color=\"#FF0000\">Error:".$LANG_enter_message."</font></b><br><br>";
						unset($_POST["submit"], $submit);
					}elseif($_POST["department"] == ""){
						$TICKETS_error = 1;
						$MAIL_header = "<b><font color=\"#FF0000\">Error:".$LANG_enter_department."</font></b><br><br>";
						unset($_POST["submit"], $submit);
					}else{
						$TICKETS_error = 0;
					}


					if($TICKETS_error !== 1){
						// Create ticket
						$subject = $_POST["subject"];
						$message = $_POST["message"];
						$time = gmdate("l dS of F Y \a\\t h:i:s a", time()+($TIME_offset * 3600));
						$username = $TICKETS_username;
						$urgency = $_POST["urgency"];
						$department = $_POST["department"];

						DATABASE_query("INSERT INTO ".$DB_prefix."tickets (username,department,subject,status,urgency) VALUES ('$username','$department','$subject','4','$urgency')");
						$tid = mysql_insert_id();
						DATABASE_query("INSERT INTO ".$DB_prefix."responses (ticketid,author,time,message) VALUES ('$tid','0','$time','$message')");
						$MAIL_header = $LANG_ticket_create;
					}

				}

			}else{

				$REGISTER_username = $_POST["username"];
				$REGISTER_password = $_POST["password"];
				$REGISTER_password = md5 ($REGISTER_password);
				$REGISTER_email = $_POST["email"];
				$REGISTER_firstname = $_POST["firstname"];
				$REGISTER_lastname = $_POST["lastname"];
				$time = time() + 60*60*24*7;

				if($_POST["username"] == ""){
					$REGISTER_error = 1;
					$REGISTER_message = "<br><br><b><font color=\"#FF0000\">Error:".$LANG_enter_username."</font></b><br><br>";
				}elseif($_POST["password"] == ""){
					$REGISTER_error = 1;
					$REGISTER_message = "<br><br><b><font color=\"#FF0000\">Error:".$LANG_enter_password."</font></b><br><br>";
				}elseif($_POST["email"] == ""){
					$REGISTER_error = 1;
					$REGISTER_message = "<br><br><b><font color=\"#FF0000\">Error:".$LANG_enter_email."</font></b><br><br>";
				}elseif($_POST["firstname"] == ""){
					$REGISTER_error = 1;
					$REGISTER_message = "<br><br><b><font color=\"#FF0000\">Error:".$LANG_enter_first."</font></b><br><br>";
				}elseif($_POST["lastname"] == ""){
					$REGISTER_error = 1;
					$REGISTER_message = "<br><br><b><font color=\"#FF0000\">Error:".$LANG_enter_last."</font></b><br><br>";
				}


				if(!isset($REGISTER_error)){

					$username = $REGISTER_username;
					$password = $REGISTER_password;
					$email = $REGISTER_email;
					$firstname = $REGISTER_firstname;
					$lastname = $REGISTER_lastname;

					DATABASE_query("INSERT INTO ".$DB_prefix."users VALUES ('','$username','$password','$email','$firstname','$lastname')");

					setcookie("HelpCenterLiveUser", $REGISTER_username, $time, $URL_dir);
					setcookie("HelpCenterLivePass", $REGISTER_password, $time, $URL_dir);

							$cemail = $COMPANY_email;
							$email = $REGISTER_email;
							$user = $REGISTER_username;
							$first = $REGISTER_firstname;
							$last = $REGISTER_lastname;
							$company = $COMPANY_name;
							$pass = $_POST["password"];

							$mail = $LANG_reg_confirm." ".$company."'s ".$LANG_hds.".\n\n".$LANG_reg_username.": ".$username."\n".$LANG_reg_password.": ".$pass."\n\n ".$LANG_reg_note;

							mail("\"$first $last\" <$email>", "$company's ".$LANG_hds." ".$LANG_reg, $mail, "From: \"$company's $LANG_hds\" <$cemail>");


					if($_POST["subject"] == ""){
						$TICKETS_error = 1;
						$MAIL_header = "<b><font color=\"#FF0000\">Error:".$LANG_enter_subject."</font></b><br><br>";
					}elseif($_POST["message"] == ""){
						$TICKETS_error = 1;
						$MAIL_header = "<b><font color=\"#FF0000\">Error:".$LANG_enter_message."</font></b><br><br>";
					}elseif($_POST["department"] == ""){
						$TICKETS_error = 1;
						$MAIL_header = "<b><font color=\"#FF0000\">Error:".$LANG_enter_department."</font></b><br><br>";
					}else{
						$TICKETS_error = 0;
					}


					if($TICKETS_error !== 1){
						// Create ticket
						$subject = $_POST["subject"];
						$message = $_POST["message"];
						$time = gmdate("l dS of F Y \a\\t h:i:s a", time()+($TIME_offset * 3600));
						$username = $REGISTER_username;
						$urgency = $_POST["urgency"];
						$department = $_POST["department"];

						DATABASE_query("INSERT INTO ".$DB_prefix."tickets (username,department,subject,status,urgency) VALUES ('$username','$department','$subject','4','$urgency')");
						$tid = mysql_insert_id();
						DATABASE_query("INSERT INTO ".$DB_prefix."responses (ticketid,author,time,message) VALUES ('$tid','0','$time','$message')");
						$MAIL_header = $LANG_ticket_create;
					}
				}else{
					unset($_POST["submit"], $submit);
				}

			}

		}else{

			// send message in email

			$MAIL_department = $_POST["department"];
			$result_dep = DATABASE_query("SELECT * FROM ".$DB_prefix."departments WHERE department='$MAIL_department' ORDER BY id ASC");
				if($get = DATABASE_fetch($result_dep)){
					$MAIL_email = $get["email"];
				}

			$MAIL_to = $MAIL_email;
			$MAIL_from = stripslashes ($_POST["email"]);
			$MAIL_name = stripslashes ($_POST["name"]);
			$MAIL_subject = stripslashes ($_POST["subject"]);
			$MAIL_message = stripslashes ($_POST["message"]);

			mail("\"$MAIL_name\" <$MAIL_to>", "$COMPANY_name's ".$LANG_hds." ".$LANG_reg, $MAIL_message, "From: \"$MAIL_name\" <$MAIL_from>");

			$MAIL_header = $LANG_mail_sent;

		}

	}else{

		if($MAIL_type == "d"){

			if($MAIL_option == "mail"){
				$MAIL_department = $_GET["department"];
				$MAIL_header = $LANG_send_mail." ".$MAIL_department."\n";
			}elseif($MAIL_option == "ticket"){
				$MAIL_department = $_GET["department"];
				$MAIL_header = $LANG_send_tt." ".$MAIL_department."\n";
			}

		}elseif($MAIL_type == "m"){

			if($MAIL_option == "mail"){
				$MAIL_header = $LANG_mail_send."\n";
			}elseif($MAIL_option == "ticket"){
				$MAIL_header = $LANG_tt_create."\n";
			}

		}elseif($MAIL_type == "l"){

			$MAIL_uid = $_GET["chatid"];
			$MAIL_department = $_GET["department"];
			DATABASE_query("DELETE FROM ".$DB_prefix."session WHERE chatid='$MAIL_uid'");

			if($MAIL_option == "mail"){
				$MAIL_header = $LANG_busy_mail."\n";
			}elseif($MAIL_option == "ticket"){
				$MAIL_header = $LANG_busy_tt."\n";
			}

		}

	}

?>
<html>
<head>
<title><?php echo($COMPANY_name); ?> - <?php echo($LANG_request_lh); ?></title>
<link href="<?php echo($URL_maindir);?>/css/lh/live.css" rel="stylesheet" type="text/css">
<?php

	if($MAIL_option == "ticket" && !isset($_POST["submit"]) && $TICKETS_login !== 1){
?>
<script>
<!--

	var type;
	var showit;

		function show(type){
			if(type == 1){
				showit = "<table align=\"center\" border=\"0\" cellspacing=\"0\" cellpadding=\"2\"><tr><td><?php echo($LANG_input_user); ?></td></tr><tr><td><input name=\"username\" type=\"text\" size=\"30\" value=\"<?php echo($_POST["username"]); ?>\"></td></tr><tr><td><?php echo($LANG_input_pass); ?></td></tr><tr><td><input name=\"password\" type=\"password\" size=\"30\"></td></tr></table>";
				document.getElementById('display').innerHTML = showit;
			}else if(type == 0){
				showit = "<table align=\"center\" border=\"0\" cellspacing=\"0\" cellpadding=\"2\"><tr><td><?php echo($LANG_input_first); ?></td></tr><tr><td><input name=\"firstname\" type=\"text\" size=\"30\" value=\"<?php echo($_POST["firstname"]); ?>\"></td></tr><tr><td><?php echo($LANG_input_last); ?></td></tr><tr><td><input name=\"lastname\" type=\"text\" size=\"30\" value=\"<?php echo($_POST["lastname"]); ?>\"></td></tr><tr><td><?php echo($LANG_input_a_user); ?></td></tr><tr><td><input name=\"username\" type=\"text\" size=\"30\" value=\"<?php echo($_POST["username"]); ?>\"></td></tr><tr><td><?php echo($LANG_input_a_pass); ?></td></tr><tr><td><input name=\"password\" type=\"password\" size=\"30\"></td></tr><tr><td><?php echo($LANG_input_email); ?></td></tr><tr><td><input name=\"email\" type=\"text\" size=\"30\" value=\"<?php echo($_POST["email"]); ?>\"></td></tr></table>";
				document.getElementById('display').innerHTML = showit;
			}else{
				showit = "&nbsp;";
				document.getElementById('display').innerHTML = showit;
			}
		}

//-->
</script>
</head>
<?php
		if($_POST["acct"] == 1){
?>
<body onLoad="show('1');" onDragStart="return false;" onContextMenu="return false;" onSelectStart="return false;">
<?php
		}elseif($_POST["acct"] == 0){
?>
<body onLoad="show('0');" onDragStart="return false;" onContextMenu="return false;" onSelectStart="return false;">
<?php
		}
	}else{
?>
</head>
<body onDragStart="return false;" onContextMenu="return false;" onSelectStart="return false;">
<?php
	}
?>
<div align="center">
<img alt="image" src="<?php echo($URL_maindir); ?>/lh/images/top.gif"><br><br>
<?php
	if($_GET["department"] !== "Sales" || !isset($_GET["department"])){
?>
<a href="<?php echo($URL_maindir); ?>/faq/index.php?lh=1"><?php echo($LANG_view_faq); ?></a><br><br><br>
<?php
	}
?>
<table align="center" border="0" cellspacing="5" cellpadding="2">
  <tr>
    <td>
<?php
	echo($MAIL_header);
?>
    </td>
  </tr>
</table>
<?php
	if($MAIL_option == "ticket"){

		if(!isset($_POST["submit"])){
?>
<form name="send_message" method="post" action="<?php echo($URL_maindir); ?>/lh/live_mail.php">
<table align="center" border="0" cellspacing="0" cellpadding="2">
<?php
			if($TICKETS_login !== 1){
?>
  <tr>
    <td><input name="acct" type="radio" size="30" value="1" onClick="show('1');" <?php if($_POST["acct"] == 1){ ?>checked <?php } ?>> <?php echo($LANG_tt_have); ?></td>
  </tr>
  <tr>
    <td><input name="acct" type="radio" size="30" value="0" onClick="show('0');" <?php if($_POST["acct"] == 0){ ?>checked <?php } ?>> <?php echo($LANG_tt_donthave); ?></td>
  </tr>
  <tr>
    <td id="display">&nbsp;</td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
<?php
			}

			if(!isset($MAIL_department)){
?>
  <tr>
    <td><?php echo($LANG_dep); ?></td>
  </tr>
  <tr>
    <td>
<select name="department">
  <option value="">- <?php echo($LANG_select); ?> -</option>
<?php

				if(isset($_POST["department"])){
					$$_POST["department"] = " selected";
				}

				$result_dep = DATABASE_query("SELECT * FROM ".$DB_prefix."departments GROUP BY department");
				while($get = DATABASE_fetch($result_dep)){
					$DEPARTMENT_name = $get["department"];
					echo("<option value=\"".$DEPARTMENT_name."\"".$$DEPARTMENT_name.">".$DEPARTMENT_name."</option>\n");
				}
?>
</select>
    </td>
  </tr>
<?php
			}else{
?>
<input type="hidden" name="department" value="<?php echo($MAIL_department); ?>">
<?php
			}
?>
  <tr>
    <td><?php echo($LANG_urgency); ?></td>
  </tr>
  <tr>
    <td>
<?php
			if(isset($_POST["urgency"])){
				$sel = "urgency".$_POST["urgency"];
				$$sel = " selected";
			}
?>
<select name="urgency">
  <option value="1"<?php if(isset($_POST["urgency"])){ echo($urgency1); } ?>><?php echo($LANG_low); ?></option>
  <option value="2"<?php if(isset($_POST["urgency"])){ echo($urgency2); } ?>><?php echo($LANG_medium); ?></option>
  <option value="3"<?php if(isset($_POST["urgency"])){ echo($urgency3); } ?>><?php echo($LANG_high); ?></option>
  <option value="4"<?php if(isset($_POST["urgency"])){ echo($urgency4); } ?>><?php echo($LANG_vhigh); ?></option>
</select>
    </td>
  </tr>
  <tr>
    <td><?php echo($LANG_subject); ?></td>
  </tr>
  <tr>
    <td><input name="subject" type="text" size="30" value="<?php echo($_POST["subject"]); ?>"></td>
  </tr>
  <tr>
    <td><?php echo($LANG_message); ?></td>
  </tr>
  <tr>
    <td><textarea name="message" cols="30" rows="6"><?php echo($_POST["message"]); ?></textarea></td>
  </tr>
  <tr>
    <td>
      <div align="center"><input type="submit" name="submit" value="<?php echo($LANG_send); ?>"> <input type="reset" name="reset" value="<?php echo($LANG_reset); ?>"></div>
    </td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
</table>
</form>
<?php
		}
	}else{

			if(!isset($_POST["submit"])){
?>
<form name="send_message" method="post" action="<?php echo($URL_maindir); ?>/lh/live_mail.php">
<table width="90%" border="0" cellspacing="0" cellpadding="2">
<?php
				if($MAIL_type == "m"){
?>
  <tr>
    <td width="26%"><?php ($LANG_sel_dep_contact); ?></td>
  </tr>
  <tr>
    <td width="74%">
        <select name="department" id="department">
          <option>- <?php echo($LANG_select); ?> -</option>
<?php
					$result_dep = DATABASE_query("SELECT * FROM ".$DB_prefix."departments GROUP BY department ORDER BY id ASC");
					while($get = DATABASE_fetch($result_dep)){
						$MAIL_department = $get["department"];
          				echo("<option value=\"".$MAIL_department."\">".$MAIL_department."</option>");
					}
?>
        </select>
      </td>
  </tr>
<?php
				}else{
					$MAIL_department = $_GET["department"];
?>
<input name="department" type="hidden" id="department" value="<?php echo($MAIL_department); ?>">
<?php
				}
?>
  <tr>
    <td><?php echo($LANG_your_name); ?></td>
  </tr>
  <tr>
    <td><input name="name" type="text" size="30"></td>
  </tr>
  <tr>
    <td><?php echo($LANG_your_email); ?></td>
  </tr>
  <tr>
    <td><input name="email" type="text" size="30"></td>
  </tr>
  <tr>
    <td><?php echo($LANG_subject); ?></td>
  </tr>
  <tr>
    <td><input name="subject" type="text" size="30"></td>
  </tr>
  <tr>
    <td><?php echo($LANG_message); ?></td>
  </tr>
  <tr>
    <td><textarea name="message" cols="30" rows="6"></textarea></td>
  </tr>
  <tr>
    <td><div align="center"><input type="submit" name="submit" value="<?php echo($LANG_send); ?>">
      <input type="reset" name="reset" value="<?php echo($LANG_reset); ?>"></div></td>
  </tr>
</table>
</form>
</div>
<?php
			}

		}
?>
          <br><br><div align="center">
            Powered by <a href="http://www.helpcenterlive.com" target="_blank">Help Center Live <?php echo($HCL_version); ?></a>
          </div><br><br>
</body>
</html>