<?php
	///////////////////////////////////////////////////////////////////////////////
	// Copyright  2003 Michael Bird. All Rights Reserved                        //
	//                                                                           //
	// This file is part of Help Center Live.                                    //
	//                                                                           //
	// Help Center Live is free software; you can redistribute it and/or modify  //
	// it under the terms of the GNU General Public License as published by      //
	// the Free Software Foundation; either version 2 of the License, or         //
	// (at your option) any later version.                                       //
	//                                                                           //
	// Help Center Live is distributed in the hope that it will be useful,       //
	// but WITHOUT ANY WARRANTY; without even the implied warranty of            //
	// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             //
	// GNU General Public License for more details.                              //
	//                                                                           //
	// You should have received a copy of the GNU General Public License         //
	// along with Help Center Live; if not, write to the Free Software           //
	// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA //
	///////////////////////////////////////////////////////////////////////////////



	include_once("../inc/config.php");
	include_once("../inc/database.php");
	include_once("../inc/isuser.php");
	include_once("../lang/".$LANG_setting.".php");

			if($TICKETS_login !== 1){
				header("Location: ".$URL_maindir."/tt/user_login.php");
				exit;
			}
?>
<html>
<head>
<title><? echo($COMPANY_name); ?> - <?php echo($LANG_hds); ?></title>
<link href="<?php echo($URL_maindir);?>/css/tt/main.css" rel="stylesheet" type="text/css">
</head>
<body>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
  <tr>
    <td align="left" class="menu">&nbsp;&nbsp;
<!-- BEGIN Help Center Live Code, copyright 2003 Help Center Live -->
<script language="javascript" src="<?php echo($URL_maindir); ?>/lh/live.php?text=x"></script>
<!-- END Help Center Live Code, copyright 2003 Help Center Live -->
    </td>
    <td align="right" class="menu"> <table border="0" cellspacing="0" cellpadding="2">
        <tr>
          <td><a href="<?php echo($URL_maindir); ?>/tt/index.php"><img alt="home" src="<?php echo($URL_maindir); ?>/tt/images/home.gif" border="0"></a></td>
          <td><a href="<?php echo($URL_maindir); ?>/tt/tickets_new.php"><img alt="create new ticket" src="<?php echo($URL_maindir); ?>/tt/images/create.gif" border="0"></a></td>
          <td><a href="<?php echo($URL_maindir); ?>/tt/user_info.php"><img alt="edit you details" src="<?php echo($URL_maindir); ?>/tt/images/info.gif" border="0"></a></td>
          <td><a href="<?php echo($URL_maindir); ?>/tt/user_logout.php"><img alt="logout" src="<?php echo($URL_maindir); ?>/tt/images/logout.gif" border="0"></a></td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td colspan="2">
<br>
<div align="center">
<?php
	if(isset($_POST["submit"])){

		if($_POST["subject"] == ""){
			$TICKETS_error = 1;
			$TICKETS_msg = $LANG_enter_subject."<br><br>";
		}elseif($_POST["message"] == ""){
			$TICKETS_error = 1;
			$TICKETS_msg = $LANG_enter_message."<br><br>";
		}elseif($_POST["department"] == ""){
			$TICKETS_error = 1;
			$TICKETS_msg = $LANG_enter_department."<br><br>";
		}else{
			$TICKETS_error = 0;
		}


		if($TICKETS_error !== 1){

			$subject = $_POST["subject"];
			$msg = preg_replace("/\n/", "<br>", $_POST["message"]);
			$message = rawurlencode($msg);
			$time = gmdate("l dS of F Y \a\\t h:i:s a", time()+($TIME_offset * 360));
			$username = $TICKETS_username;
			$urgency = $_POST["urgency"];
			$department = $_POST["department"];
			DATABASE_query("INSERT INTO ".$DB_prefix."tickets (username,department,subject,status,urgency) VALUES ('$username','$department','$subject','4','$urgency')");
			$tid = mysql_insert_id();
			DATABASE_query("INSERT INTO ".$DB_prefix."responses (ticketid,author,time,message) VALUES ('$tid','0','$time','$message')");
			echo($LANG_ticket_create);
			$TICKETS_form = 0;
		}
	}


		if($TICKETS_error == 1){

			echo($TICKETS_msg);
		}

	if($TICKETS_form !== 0){
?>
      <table border="0" cellspacing="1" cellpadding="2">
        <tr bgcolor="<?php echo($TABLE_hcolour); ?>">
          <td><?php echo($LANG_tt_create); ?></td>
        </tr>
        <tr>
          <td>
<div align="center">
<form name="create" method="post" action="<?php echo($URL_maindir); ?>/tt/tickets_new.php">
<table border="0" cellspacing="1" cellpadding="2">
  <tr bgcolor="<?php echo($TABLE_dcolour); ?>">
    <td><?php echo($LANG_deparmtent); ?></td>
    <td>
<select name="department">
  <option value="">- <?php echo($LANG_select); ?> -</option>
<?php
	$result_dep = DATABASE_query("SELECT * FROM ".$DB_prefix."departments GROUP BY department");
	while($get = DATABASE_fetch($result_dep)){
		$DEPARTMENT_name = $get["department"];
		echo("<option value=\"".$DEPARTMENT_name."\">".$DEPARTMENT_name."</option>\n");
	}
?>
</select>
    </td>
  </tr>
  <tr bgcolor="<?php echo($TABLE_lcolour); ?>">
    <td><?php echo($LANG_urgency); ?></td>
    <td>
<select name="urgency">
  <option value="1"><?php echo($LANG_low); ?></option>
  <option value="2"><?php echo($LANG_medium); ?></option>
  <option value="3"><?php echo($LANG_high); ?></option>
  <option value="4"><?php echo($LANG_vhigh); ?></option>
</select>
    </td>
  </tr>
  <tr bgcolor="<?php echo($TABLE_dcolour); ?>">
    <td><?php echo($LANG_subject); ?></td>
    <td><input name="subject" type="text" size="30" value="<?php if(isset($_POST["subject"])){ echo($_POST["subject"]); } ?>"></td>
  </tr>
  <tr bgcolor="<?php echo($TABLE_lcolour); ?>">
    <td><?php echo($LANG_message); ?></td>
    <td><textarea name="message" cols="50" rows="7"><?php if(isset($_POST["message"])){ echo($_POST["message"]); } ?></textarea></td>
  </tr>
  <tr bgcolor="<?php echo($TABLE_dcolour); ?>">
    <td colspan="2"><div align="center"><input type="submit" name="submit" value="<?php echo($LANG_submit); ?>"></div></td>
  </tr>
</table>
</form>
</div>
          </td>
        </tr>
      </table>
<?php } ?>
    </td>
  </tr>
</table>
</div>
</body>
</html>