<?php
	///////////////////////////////////////////////////////////////////////////////
	// Copyright  2003 Michael Bird. All Rights Reserved                        //
	//                                                                           //
	// This file is part of Help Center Live.                                    //
	//                                                                           //
	// Help Center Live is free software; you can redistribute it and/or modify  //
	// it under the terms of the GNU General Public License as published by      //
	// the Free Software Foundation; either version 2 of the License, or         //
	// (at your option) any later version.                                       //
	//                                                                           //
	// Help Center Live is distributed in the hope that it will be useful,       //
	// but WITHOUT ANY WARRANTY; without even the implied warranty of            //
	// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             //
	// GNU General Public License for more details.                              //
	//                                                                           //
	// You should have received a copy of the GNU General Public License         //
	// along with Help Center Live; if not, write to the Free Software           //
	// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA //
	///////////////////////////////////////////////////////////////////////////////



	include_once("../inc/config.php");
	include_once("../inc/database.php");
	include_once("../inc/isuser.php");
	include_once("../lang/".$LANG_setting.".php");

			if($TICKETS_login !== 1){
				header("Location: ".$URL_maindir."/tt/user_login.php");
				exit;
			}

	if(isset($_POST["submit"])){

		$INFO_username = $TICKETS_username;

		if($_POST["password"] !== ""){
			$INFO_password = $_POST["password"];
			$INFO_password = md5($INFO_password);
		}else{
			$INFO_password = $TICKETS_password;
		}

		$INFO_email = $_POST["email"];
		$INFO_firstname = $_POST["firstname"];
		$INFO_lastname = $_POST["lastname"];
		$time = time() + 60*60*24*7;

		if($_POST["email"] == ""){
			$INFO_error = 1;
			$INFO_message = $LANG_enter_email;
		}elseif($_POST["firstname"] == ""){
			$INFO_error = 1;
			$INFO_message = $LANG_enter_first;
		}elseif($_POST["lastname"] == ""){
			$INFO_error = 1;
			$INFO_message = $LANG_enter_last;
		}

		if(!isset($INFO_error)){

			$username = $INFO_username;
			$password = $INFO_password;
			$email = $INFO_email;
			$firstname = $INFO_firstname;
			$lastname = $INFO_lastname;

			DATABASE_query("UPDATE ".$DB_prefix."users SET password='$password', email='$email', firstname='$firstname', lastname='$lastname' WHERE username='$username'");

			setcookie("Help Center LiveUser", $INFO_username, $time, $URL_dir, $URL_site, $URL_secure);
			setcookie("Help Center LivePass", $INFO_password, $time, $URL_dir, $URL_site, $URL_secure);

		}else{

			$INFO_message = "<div align=\"center\">".$INFO_message."</div><br><br>";

		}

	}

?>
<html>
<head>
<title><? echo($COMPANY_name); ?> - <?php echo($LANG_hds); ?></title>
<link href="<?php echo($URL_maindir);?>/css/tt/main.css" rel="stylesheet" type="text/css">
</head>
<body>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
  <tr>
    <td align="left" class="menu">&nbsp;&nbsp;
<!-- BEGIN Help Center Live Code, copyright 2003 Help Center Live -->
<script language="javascript" src="<?php echo($URL_maindir); ?>/lh/live.php?text=x"></script>
<!-- END Help Center Live Code, copyright 2003 Help Center Live -->
    </td>
    <td align="right" class="menu"> <table border="0" cellspacing="0" cellpadding="2">
        <tr>
          <td><a href="<?php echo($URL_maindir); ?>/tt/index.php"><img alt="image" src="<?php echo($URL_maindir); ?>/tt/images/home.gif" border="0"></a></td>
          <td><a href="<?php echo($URL_maindir); ?>/tt/tickets_new.php"><img alt="image" src="<?php echo($URL_maindir); ?>/tt/images/create.gif" border="0"></a></td>
          <td><a href="<?php echo($URL_maindir); ?>/tt/user_info.php"><img alt="image" src="<?php echo($URL_maindir); ?>/tt/images/info.gif" border="0"></a></td>
          <td><a href="<?php echo($URL_maindir); ?>/tt/user_logout.php"><img alt="image" src="<?php echo($URL_maindir); ?>/tt/images/logout.gif" border="0"></a></td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td colspan="2">
<br><br>
<?php
		if(isset($INFO_message)){
			echo($INFO_message);
		}
		if(isset($_POST["submit"])){
			echo("<div align=\"center\"><b>".$LANG_details_updated."</b></div><br><br>");
		}
?>
<form name="update" method="post" action="<?php echo($URL_maindir); ?>/tt/user_info.php">
<table align="center" border="0" cellspacing="0" cellpadding="2">
  <tr>
    <td><?php echo($LANG_username); ?></td>
    <td><?php echo($TICKETS_username); ?></td>
  </tr>
  <tr>
    <td><?php echo($LANG_new_password); ?></td>
    <td><input name="password" type="password" size="30"></td>
  </tr>
  <tr>
    <td><?php echo($LANG_new_password_again); ?></td>
    <td><input name="passworda" type="password" size="30"></td>
  </tr>
  <tr>
    <td><?php echo($LANG_email_addr); ?></td>
    <td><input name="email" type="text" size="30" value="<?php echo($TICKETS_email); ?>"></td>
  </tr>
  <tr>
    <td><?php echo($LANG_first); ?></td>
    <td><input name="firstname" type="text" size="30" value="<?php echo($TICKETS_firstname); ?>"></td>
  </tr>
  <tr>
    <td><?php echo($LANG_last); ?></td>
    <td><input name="lastname" type="text" size="30" value="<?php echo($TICKETS_lastname); ?>"></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td><input type="submit" name="submit" value="Update"></td>
  </tr>
</table>
</form>

    </td>
  </tr>
</table>
</body>
</html>