<?php
	///////////////////////////////////////////////////////////////////////////////
	// Copyright  2003 Michael Bird. All Rights Reserved                        //
	//                                                                           //
	// This file is part of Help Center Live.                                    //
	//                                                                           //
	// Help Center Live is free software; you can redistribute it and/or modify  //
	// it under the terms of the GNU General Public License as published by      //
	// the Free Software Foundation; either version 2 of the License, or         //
	// (at your option) any later version.                                       //
	//                                                                           //
	// Help Center Live is distributed in the hope that it will be useful,       //
	// but WITHOUT ANY WARRANTY; without even the implied warranty of            //
	// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             //
	// GNU General Public License for more details.                              //
	//                                                                           //
	// You should have received a copy of the GNU General Public License         //
	// along with Help Center Live; if not, write to the Free Software           //
	// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA //
	///////////////////////////////////////////////////////////////////////////////



	include_once("../inc/config.php");
	include_once("../inc/database.php");
	include_once("../inc/isuser.php");
	include_once("../lang/".$LANG_setting.".php");

			if($TICKETS_login !== 1){
				header("Location: ".$URL_maindir."/tt/user_login.php");
				exit;
			}


	if(!isset($_GET["tid"]) && !isset($_POST["submit"])){
		include_once("../inc/config.php");
		header("Location: ".$URL_maindir."/tt/index.php");

	}else{
?>
<html>
<head>
<title><? echo($COMPANY_name); ?> - <?php echo($LANG_hds); ?></title>
<link href="<?php echo($URL_maindir);?>/css/tt/main.css" rel="stylesheet" type="text/css">
</head>
<body>
<table width="100%" border="0" cellspacing="0" cellpadding="2">
  <tr>
    <td align="left" class="menu">&nbsp;&nbsp;
<!-- BEGIN Help Center Live Code, copyright 2003 Help Center Live -->
<script language="javascript" src="<?php echo($URL_maindir); ?>/lh/live.php?text=x"></script>
<!-- END Help Center Live Code, copyright 2003 Help Center Live -->
    </td>
    <td align="right" class="menu"> <table border="0" cellspacing="0" cellpadding="2">
        <tr>
          <td><a href="<?php echo($URL_maindir); ?>/tt/index.php"><img alt="home" src="<?php echo($URL_maindir); ?>/tt/images/home.gif" border="0"></a></td>
          <td><a href="<?php echo($URL_maindir); ?>/tt/tickets_new.php"><img alt="create new ticket" src="<?php echo($URL_maindir); ?>/tt/images/create.gif" border="0"></a></td>
          <td><a href="<?php echo($URL_maindir); ?>/tt/user_info.php"><img alt="edit you details" src="<?php echo($URL_maindir); ?>/tt/images/info.gif" border="0"></a></td>
          <td><a href="<?php echo($URL_maindir); ?>/tt/user_logout.php"><img alt="logout" src="<?php echo($URL_maindir); ?>/tt/images/logout.gif" border="0"></a></td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td colspan="2">
<br><br>
<?php

		if(isset($_POST["submit"])){

			if($_POST["x"] == "add"){

				$tid = $_POST["tid"];
				$msg = preg_replace("/\n/", "<br>", $_POST["message"]);
				$message = rawurlencode($msg);
				$time = gmdate("l dS of F Y \a\\t h:i:s a", time()+($TIME_offset * 3600));
				DATABASE_query("INSERT INTO ".$DB_prefix."responses (`ticketid`,`author`,`time`,`message`) VALUES ('$tid','0','$time','$message')");
				DATABASE_query("UPDATE ".$DB_prefix."tickets SET status='3' WHERE id='$tid'");

			}elseif($_POST["x"] == "close"){

				$tid = $_POST["tid"];
				DATABASE_query("UPDATE ".$DB_prefix."tickets SET status='0' WHERE id='$tid'");

			}elseif($_POST["x"] == "open"){

				$tid = $_POST["tid"];
				DATABASE_query("UPDATE ".$DB_prefix."tickets SET status='1' WHERE id='$tid'");

			}

		}

		$TICKET_tid = $_GET["tid"];
		$result = DATABASE_query("SELECT * FROM ".$DB_prefix."tickets WHERE id='$TICKET_tid' AND username='$TICKETS_username'");
		if($get = DATABASE_fetch($result)){
			$TICKET_tid = $get["id"];
			$TICKET_urgency = $get["urgency"];
			$TICKET_subject = $get["subject"];
			$TICKET_user = $get["username"];
			$TICKET_operator = $get["operator"];
			$TICKET_department = $get["department"];
			$TICKET_status = $get["status"];

			if($TICKET_status == "2"){
			// Mark ticket as read
			$tid = $TICKET_tid;
			DATABASE_query("UPDATE ".$DB_prefix."tickets SET status='1' WHERE id='$tid'");
			}

			if($TICKET_status == 0){
				$TICKET_status = "Closed";
			}else{
				$TICKET_status = "Open";
			}

			$result = DATABASE_query("SELECT * FROM ".$DB_prefix."operators WHERE operator='$TICKET_operator'");
			if($fetch = DATABASE_fetch($result)){
				$TICKET_name = $fetch["firstname"]." ".$fetch["lastname"];
			}else{
				$TICKET_name = "Unknown";
			}


			$result = DATABASE_query("SELECT * FROM ".$DB_prefix."departments WHERE operator='$TICKET_operator' AND department='$TICKET_department'");
			if($fetch = DATABASE_fetch($result)){
				$TICKET_email = $fetch["email"];
			}else{
				$TICKET_email = "Unknown";
			}

			if($TICKET_urgency == 1){
				$TICKET_urgency = $LANG_low;
			}elseif($TICKET_urgency == 2){
				$TICKET_urgency = $LANG_medium;
			}elseif($TICKET_urgency == 3){
				$TICKET_urgency = $LANG_high;
			}elseif($TICKET_urgency == 4){
				$TICKET_urgency = $LANG_vhigh;
			}else{
				$TICKET_urgency = $LANG_low;
			}
?>
<table width="90%" border="0" align="center" cellpadding="2" cellspacing="0" class="box">
  <tr>
    <td width="40%" valign="top">
      <table width="100%" border="0" cellspacing="1" cellpadding="2" class="box">
        <tr bgcolor="<?php echo($TABLE_dcolour); ?>">
          <td width="50"><div align="center"><?php echo($LANG_subject); ?></div></td>
          <td><?php echo($TICKET_subject); ?></td>
        </tr>
        <tr bgcolor="<?php echo($TABLE_lcolour); ?>">
          <td width="50"><div align="center"><?php echo($LANG_status); ?></div></td>
          <td><?php echo($TICKET_status); ?></td>
        </tr>
        <tr bgcolor="<?php echo($TABLE_dcolour); ?>">
          <td width="50"><div align="center"><?php echo($LANG_urgency); ?></div></td>
          <td><?php echo($TICKET_urgency); ?></td>
        </tr>
        <tr bgcolor="<?php echo($TABLE_lcolour); ?>">
          <td width="50"><div align="center"><?php echo($LANG_operator); ?></div></td>
          <td><?php echo($TICKET_name); ?></td>
        </tr>
        <tr bgcolor="<?php echo($TABLE_dcolour); ?>">
          <td width="50"><div align="center"><?php echo($LANG_department); ?></div></td>
          <td><?php echo($TICKET_department); ?></td>
        </tr>
        <tr bgcolor="<?php echo($TABLE_lcolour); ?>">
          <td width="50"><div align="center"><?php echo($LANG_email_addr); ?></div></td>
          <td><?php echo($TICKET_email); ?></td>
        </tr>
        <tr>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
        </tr>
        <form name="add" method="post" action="<?php echo($URL_maindir); ?>/tt/view.php?tid=<?php echo($TICKET_tid); ?>">
        <tr bgcolor="<?php echo($TABLE_hcolour); ?>">
          <td colspan="2"><div align="center"><?php echo($LANG_respond); ?></div></td>
        </tr>
        <tr bgcolor="<?php echo($TABLE_dcolour); ?>">
          <td colspan="2"><div align="center"><textarea name="message" cols="30" rows="6"></textarea></div></td>
        </tr>
        <tr bgcolor="<?php echo($TABLE_dcolour); ?>">
          <td colspan="2"><div align="center"><input type="hidden" name="x" value="add"><input type="hidden" name="tid" value="<?php echo($TICKET_tid); ?>"><input type="submit" name="submit" value="<?php echo($LANG_submit); ?>"></div></td>
        </tr>
        </form>
        <tr>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
        </tr>
        <?php if($TICKET_status == "Open"){ ?>
        <form name="close" method="post" action="<?php echo($URL_maindir); ?>/tt/view.php?tid=<?php echo($TICKET_tid); ?>">
        <tr bgcolor="<?php echo($TABLE_hcolour); ?>">
          <td colspan="2"><div align="center"><input type="hidden" name="x" value="close"><input type="hidden" name="tid" value="<?php echo($TICKET_tid); ?>"><input type="submit" name="submit" value="<?php echo($LANG_close_ticket); ?>"></div></td>
        </tr>
        </form>
        <?php }elseif($TICKET_status == "Closed"){ ?>
        <form name="open" method="post" action="<?php echo($URL_maindir); ?>/tt/view.php?tid=<?php echo($TICKET_tid); ?>">
        <tr bgcolor="<?php echo($TABLE_hcolour); ?>">
          <td colspan="2"><div align="center"><input type="hidden" name="x" value="open"><input type="hidden" name="tid" value="<?php echo($TICKET_tid); ?>"><input type="submit" name="submit" value="<?php echo($LANG_open_ticket); ?>"></div></td>
        </tr>
        </form>
        <?php }?>
      </table>
    </td>
    <td width="60%" align="center" valign="top">
<?php
			$TICKET_rid = 0;
			$result_get = DATABASE_query("SELECT * FROM ".$DB_prefix."responses WHERE ticketid='$TICKET_tid' ORDER BY id ASC");
			while($fetch = DATABASE_fetch($result_get)){
				$TICKET_rid = $TICKET_rid + 1;
				$TICKET_time = $fetch["time"];
				$TICKET_message = $fetch["message"];
				$TICKET_author = $fetch["author"];
				$TICKET_message = rawurldecode($TICKET_message);
				$TICKET_head = $LANG_ticket_question;
				if($TICKET_rid > 1){
					$TICKET_rnum = $TICKET_rid - 1;
					$TICKET_head = $LANG_response." ".$TICKET_rnum;
				}

				if($TICKET_author == 0){

					$result_user = DATABASE_query("SELECT * FROM ".$DB_prefix."users WHERE username='$TICKET_user'");
					if($find = DATABASE_fetch($result_user)){
						$TICKET_authoru = $find["username"];
						$TICKET_authorn = $find["firstname"]." ".$find["lastname"];
					}

				}elseif($TICKET_author == 1){

					$result_op = DATABASE_query("SELECT * FROM ".$DB_prefix."operators WHERE operator='$TICKET_operator'");
					if($find = DATABASE_fetch($result_op)){
						$TICKET_authoru = $find["operator"]." - ".$TICKET_department;
						$TICKET_authorn = $find["firstname"]." ".$find["lastname"];
					}

				}else{

					$TICKET_authoru = "Unknown";
					$TICKET_authorn = "Unknown";

				}

?>
      <table width="95%" border="0" cellspacing="1" cellpadding="2" class="box">
        <tr bgcolor="<?php echo($TABLE_dcolour); ?>">
          <td width="50%"><div align="center">[<b><?php echo($TICKET_head); ?></b>] - <?php echo($TICKET_time); ?></div></td>
        </tr>
        <tr bgcolor="<?php echo($TABLE_lcolour); ?>">
          <td><?php echo($TICKET_message); ?></td>
        </tr>
        <tr bgcolor="<?php echo($TABLE_dcolour); ?>">
          <td width="50%"><div align="center"><?php echo($LANG_posted_by); ?>: <?php echo($TICKET_authorn); ?> [<?php echo($TICKET_authoru); ?>]</div></td>
        </tr>
      </table>
      <br>
<?php
			}
?>
    </td>
  </tr>
</table>
<?php

		}else{
			echo("<div align=\"center\"><?php echo($LANG_ticket_not_found); ?></div>");
		}
	}
?>
    </td>
  </tr>
</table>
</body>
</html>