<?php # $Id: serendipity_admin_images.inc.php,v 1.13 2003/11/11 16:17:04 garvinhicking Exp $

##########################################################################
# serendipity - another blogger...                                       #
##########################################################################
#                                                                        #
# (c) 2003 Jannis Hermanns <J@hacked.it>                                 #
# http://www.jannis.to/programming/serendipity.html                      #
#                                                                        #
##########################################################################

if (IN_serendipity !== true) {
    die ("Don't hack!");
}

function serendipity_displayImageList($start = 0, $end = 20) {
    global $serendipity;

    serendipity_fetchImages(true);
    $inc = $end - $start;
    $files = @array_slice($serendipity['imageList'], $start, $inc);

    if ($start > 0) {
        $left  = '<input type="button" value="&lt;&lt;&lt;" onclick="location.href=\'' . $_SERVER['REQUEST_URI'] . '&start=' . max(0, $start - $inc) . '&end=' . $start . '\';" />' . "\n";
    }

    if (count($serendipity["imageList"]) > $end) {
        $right = '<input type="button" value="&gt;&gt;&gt;" onclick="location.href=\'' . $_SERVER['REQUEST_URI'] . '&start=' . $end . '&end=' . ($end + $inc) . '\';" />' . "\n";
    }
?>
    <script type="text/javascript" language="javascript">
    <!--
        function rename(fname) {
            if(newname = prompt('<?php echo ENTER_NEW_NAME; ?>' + fname, fname)) {
                location.href='?serendipity[adminModule]=images&serendipity[adminAction]=rename&serendipity[oldname]='+ escape(fname) + '&serendipity[newname]='+ escape(newname);
            }
        }
    //-->
    </script>

    <div class="serendipity_admin_list">
        <div class="serendipity_admin_list_title"><?php echo IMAGE_MANAGER; ?></div>

        <table class="serendipity_admin_list">
            <tr>
                <td align="left" colspan="2">
                    <?php echo $left; ?>
                </td>

                <td align="right" colspan="2">
                    <?php echo $right; ?>
                </td>
            </tr>

            <tr>
<?php
    for ($x=0; $x<count($files); $x++) {
        // Parse filename and image info
        $f       = serendipity_parseFileName($files[$x]);
        $i       = @getimagesize($serendipity['serendipityPath'] . $serendipity['uploadPath'] . '/' . $files[$x]);
        $_imgsrc = $serendipity['serendipityPath'] . $serendipity['uploadPath'] . $f[0] . '.' . $serendipity['thumbSuffix'] . '.' . $f[1];
        $imgsrc  = $serendipity['serendipityHTTPPath'] . $serendipity['uploadHTTPPath'] . $f[0] . '.' . $serendipity['thumbSuffix'] . '.' . $f[1];
        if (file_exists($_imgsrc)) {
            $preview = '<img align="left" src="' . $imgsrc . '" hspace="15" alt="" />';
        } else {
            $preview = '';
        }
?>
                <td class="serendipity_admin_list_item" width="50%" nowrap="nowrap">
                    <b><?php echo $files[$x]; ?></b>
                    <br />

                    <?php echo $preview; ?>
                    <br />
                    <?php echo $i[0] . 'x' . $i[1]; ?>
                    <br />

                    <img class="serendipityImageButton" alt="<?php echo IMAGE_FULLSIZE; ?>" src="<?php echo $serendipity['serendipityHTTPPath']; ?>pixel/zoom.png"   border="0" onclick="F1 = window.open('<?php echo $serendipity['serendipityHTTPPath'] . $serendipity['uploadHTTPPath'] . $files[$x]; ?>','Zoom','height=<?php echo ($i[1] + 20); ?>,width=<?php echo ($i[0] + 20); ?>,toolbar=no,menubar=no,location=no');" />
                    <img class="serendipityImageButton" alt="<?php echo IMAGE_RENAME; ?>"   src="<?php echo $serendipity['serendipityHTTPPath']; ?>pixel/rename.png" border="0" onclick="rename('<?php echo addslashes($files[$x]); ?>')" />
             <br>
                    <img class="serendipityImageButton" alt="<?php echo IMAGE_RESIZE; ?>"   src="<?php echo $serendipity['serendipityHTTPPath']; ?>pixel/scale.png"  border="0" onclick="location.href='?serendipity[adminModule]=images&serendipity[adminAction]=scaleSelect&serendipity[fname]=<?php echo rawurlencode($files[$x]); ?>';" />
                    <img class="serendipityImageButton" alt="<?php echo IMAGE_DELETE; ?>"   src="<?php echo $serendipity['serendipityHTTPPath']; ?>pixel/delete.png" border="0" onclick="location.href='?serendipity[adminModule]=images&serendipity[adminAction]=delete&serendipity[fname]=<?php echo rawurlencode($files[$x]); ?>';" />
                </td>
<?php
        // Linebreak?
        if (($x+1)%2 == 0) {
?>
            </tr>
            <tr>
<?php
        }
    }
?>
            </tr>

            <tr>
                <td align="left" colspan="2">
                    <?php echo $left; ?>
                </td>

                <td align="right" colspan="2">
                    <?php echo $right; ?>
                </td>
            </tr>
        </table>
    </div>
<?php
}

switch ($serendipity['GET']['adminAction']) {
    case 'genThumbs':
        set_time_limit(0);
        ignore_user_abort();
        echo '<b>' . RESIZING . '</b><br /><br />';
        flush();

        $i = serendipity_generateThumbs();
        printf(RESIZE_DONE, $i);
        break;

    case 'DoDelete':
        $file   = $serendipity['GET']['fname'];
        $fThumb = serendipity_parseFileName($file);
        $fThumb = $fThumb[0] . '.' . $serendipity['thumbSuffix'] . '.' . $fThumb[1];
        if ( file_exists($serendipity['serendipityPath'] . $serendipity['uploadPath'] . $file) ) {
            if ( @unlink($serendipity['serendipityPath'] . $serendipity['uploadPath'] . $file) ) {
                printf(DELETE_IMAGE . '<br />', $file);
            } else {
                printf(DELETE_IMAGE_FAIL . '<br />', $file);
            }

            if ( @unlink($serendipity['serendipityPath'] . $serendipity['uploadPath'] . $fThumb) ) {
                printf(DELETE_THUMBNAIL . '<br />', $fThumb);
            }
        } else {
            printf(FILE_NOT_FOUND, $file);
        }
        break;

    case 'delete':
        $file     = $serendipity['GET']['fname'];
        $abortLoc = $serendipity['serendipityHTTPPath'] . 'serendipity_entries.php?serendipity[adminModule]=images';
        $newLoc   = $abortLoc . '&serendipity[adminAction]=DoDelete&serendipity[fname]=' . $file;

        printf(ABOUT_TO_DELETE_FILE, $file);
?>
    <form method="get" name="delete_image">
        <div>
            <input type="button" value="<?php echo IMAGE_DELETE ?>" onclick="location.href='<?php echo $newLoc; ?>'" />
            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <input type="button" value="<?php echo ABORT_NOW ?>"    onclick="location.href='<?php echo $abortLoc; ?>'" />
        </div>
    </form>
<?php
        break;

    case 'rename':
        $oldfile = $serendipity['serendipityPath'] . $serendipity['uploadPath'] . $serendipity['GET']['oldname'];
        $newfile = $serendipity['serendipityPath'] . $serendipity['uploadPath'] . $serendipity['GET']['newname'];

        if ($serendipity['GET']['oldname'] != '' && $serendipity['GET']['newname']!= '' &&
             file_exists($oldfile) &&
            !file_exists($newfile)) {

            // Rename file
            rename($oldfile, $newfile);

            // Rename thumbnail
            $f = serendipity_parseFileName($serendipity['GET']['oldname']);
            $f2= serendipity_parseFileName($serendipity['GET']['newname']);
            rename( $serendipity['serendipityPath'] . $serendipity['uploadPath'] .  $f[0] . '.' . $serendipity['thumbSuffix'] . '.' .  $f[1],
                    $serendipity['serendipityPath'] . $serendipity['uploadPath'] . $f2[0] . '.' . $serendipity['thumbSuffix'] . '.' . $f2[1]);

            // Forward user to overview (we don't want the user's back button to rename things again)
?>
    <script language="javascript" type="text/javascript">
        location.href="?serendipity[adminModule]=images";
    </script>
<?php
        } else {
            if (!file_exists($oldfile)) {
                echo ERROR_FILE_NOT_EXISTS;
            } elseif (file_exists($newfile)) {
                echo ERROR_FILE_EXISTS;
            } else {
                echo ERROR_SOMETHING;
            }
?>
    <br />
    <input type="button" onclick="history.go(-1);" value="<?php echo BACK; ?>" />
<?php
        }
        break;

    case 'add':
?>
    <b><?php echo ADDING_IMAGE; ?></b>
    <br /><br />
<?php

    // First find out whether to fetch a file or accept an upload
    $checkfile = $serendipity['serendipityPath'] . $serendipity['uploadPath'] . basename($serendipity['POST']['url']);
    if ($serendipity['POST']['url'] != '' && $serendipity['POST']['url'] != 'http://') {
        if (file_exists($checkfile)) {
            echo ERROR_FILE_EXISTS_ALREADY;
        } else {
            // Fetch file
            if (!$fContent = @file_get_contents($serendipity['POST']['url']) ) {
                printf(REMOTE_FILE_NOT_FOUND, $serendipity['POST']['url']);
            } else {
                $fp = fopen($checkfile, 'w');
                fwrite($fp, $fContent);
                fclose($fp);

                printf(FILE_FETCHED . '<br />', $serendipity['POST']['url']);

                // Create thumbnail
                serendipity_makeThumbnail(basename($serendipity['POST']['url']));
                echo THUMB_CREATED_DONE . '<br />';
            }
        }
    } else {
        if (file_exists($serendipity['serendipityPath'] . $serendipity['uploadPath'] . $_FILES['userfile']['name'])) {
            echo ERROR_FILE_EXISTS_ALREADY;
        } else {
            // Accept file
            if (move_uploaded_file($_FILES['userfile']['tmp_name'], $serendipity['serendipityPath'] . $serendipity['uploadPath'] . $_FILES['userfile']['name'])) {
                printf(FILE_UPLOADED . '<br />', $_FILES['userfile']['name']);

                // Create thumbnail
                serendipity_makeThumbnail($_FILES['userfile']['name']);
                echo THUMB_CREATED_DONE . '<br />';
            } else {
                echo ERROR_UNKNOWN_NOUPLOAD . '<br />';
            }
        }
    }
    break;

    case "addSelect":
?>
    <?php echo ADD_IMAGE_BLAHBLAH; ?>

    <form action="?" method="POST" enctype="multipart/form-data">
        <div>
            <input type="hidden" name="MAX_FILE_SIZE"            value="3000000" />
            <input type="hidden" name="serendipity[action]"      value="admin" />
            <input type="hidden" name="serendipity[adminModule]" value="images" />
            <input type="hidden" name="serendipity[adminAction]" value="add" />

            <table>
                <tr>
                    <td nowrap="nowrap"><?php echo ENTER_IMAGE_URL; ?></td>
                    <td><input type="text" name="serendipity[url]" value="" size="40" /></td>
                </tr>

                <tr>
                    <td align="center" colspan="2"><b><?php echo WORD_OR; ?></b></td>
                </tr>

                <tr>
                    <td nowrap='nowrap'><?php echo ENTER_IMAGE_TO_UP; ?></td>
                    <td><input name="userfile" type="file"/></td>
                </tr>

                <tr>
                    <td align="right" colspan="2"><input type="submit" value="<?php echo GO; ?>" /></td>
                </tr>
            </table>
        </div>
    </form>
<?php
    break;

    case 'scale':
        printf(
          SCALING_IMAGE . '<br />',

          $serendipity['GET']['fname'],
          $serendipity['GET']['width'],
          $serendipity['GET']['height']
        );

        echo serendipity_scaleImg($serendipity['GET']['fname'], $serendipity['GET']['width'], $serendipity['GET']['height']) . '<br />';
        echo DONE . '<br />';

        // Forward user to overview (we don't want the user's back button to rename things again)
?>
    <script language="javascript" type="text/javascript">
        location.href="?serendipity[adminModule]=images";
    </script>
<?php
        break;

    case 'scaleSelect':
        $f = serendipity_parseFileName($serendipity['GET']['fname']);
        $s = getimagesize($serendipity['serendipityPath'] . $serendipity['uploadPath'] . '/' . $serendipity['GET']['fname']);
?>
    <script type="text/javascript" language="javascript">
    <!--
        function rescale(dim, newval) {
            var originalWidth  = <?php echo $s[0]; ?>;
            var originalHeight = <?php echo $s[1]; ?>;
            var ratio          = originalHeight/originalWidth;
            var trans          = new Array();
            trans['width']     = new Array('serendipity[height]', ratio);
            trans['height']    = new Array('serendipity[width]', 1/ratio);

            if (document.serendipityScaleForm.elements['auto'].checked == true) {
                document.serendipityScaleForm.elements[trans[dim][0]].value=Math.round(trans[dim][1]*newval);
            }

            document.getElementsByName('serendipityScaleImg')[0].style.width =
              document.serendipityScaleForm.elements['serendipity[width]'].value+'px';

            document.getElementsByName('serendipityScaleImg')[0].style.height =
              document.serendipityScaleForm.elements['serendipity[height]'].value+'px';
        }
    //-->
    </script>
<?php

        printf(RESIZE_BLAHBLAH, $serendipity['GET']['fname']);
        printf(ORIGINAL_SIZE, $s[0],$s[1]);
        echo HERE_YOU_CAN_ENTER_BLAHBLAH;
?>
    <form name="serendipityScaleForm" action="?" method="GET">
        <div>
            <?php echo NEWSIZE; ?>

            <input type="hidden" name="serendipity[adminModule]" value="images" />
            <input type="hidden" name="serendipity[adminAction]" value="scale" />
            <input type="hidden" name="serendipity[fname]"       value="<?php echo $serendipity["GET"]["fname"]; ?>" />

            <input type="text" size="4" name="serendipity[width]"   onchange="rescale('width' , value);" value="<?php echo $s[0]; ?>" />x
            <input type="text" size="4" name="serendipity[height]"  onchange="rescale('height', value);" value="<?php echo $s[1]; ?>" />
            <br />

            <?php echo KEEP_PROPORTIONS; ?>:
            <!-- <input type='button' value='preview'>-->
            <input type="checkbox" name="auto"  checked="checked" /><br />
            <input type="button"   name="scale" value="<?php echo IMAGE_RESIZE; ?>" onclick="if (confirm('<?php echo REALLY_SCALE_IMAGE; ?>')) document.serendipityScaleForm.submit();" />
        </div>
    </form>

    <img src="<?php echo $serendipity['uploadHTTPPath'] . $serendipity['GET']['fname']; ?>" name="serendipityScaleImg" style="width: <?php echo $s[0]; ?>px; height: <?php echo $s[1]; ?>px;" alt="" />
<?php
        break;

    default:
        if (isset($_GET['start'])) {
            serendipity_displayImageList($_GET['start'], $_GET['end'] ? $_GET['end'] : NULL);
        } else {
            serendipity_displayImageList();
        }

        break;
}
/* vim: set sts=4 ts=4 expandtab : */
?>
