<?php # $Id: serendipity_db.inc.php,v 1.7 2003/09/30 21:22:00 tomsommer Exp $

@include_once($serendipity['serendipityHTTPPath'] ."serendipity_db_{$serendipity['dbType']}.inc.php");

function serendipity_db_update($table, $keys, $values)
{
    global $serendipity;

    $set = '';

    foreach ($values as $k => $v) {
        if (strlen($set))
            $set .= ', ';
        $set .= $k . '=\'' . serendipity_db_escape_string($v) . '\'';
    }

    $where = '';
    foreach ($keys as $k => $v) {
        if (strlen($where))
            $where .= ' AND ';
        $where .= $k . '=\'' . serendipity_db_escape_string($v) . '\'';
    }

    if (strlen($where)) {
        $where = " WHERE $where";
    }

    return serendipity_db_query("UPDATE {$serendipity['dbPrefix']}$table SET $set $where");
}

function serendipity_db_insert($table, $values)
{
    global $serendipity;

    $names = implode(',', array_keys($values));
    
    $vals = '';
    foreach ($values as $k => $v) {
        if (strlen($vals))
            $vals .= ', ';
        $vals .= '\'' . serendipity_db_escape_string($v) . '\'';
    }

    return serendipity_db_query("INSERT INTO {$serendipity['dbPrefix']}$table ($names) values ($vals)");
}

/* vim: set sts=4 ts=4 expandtab : */
?>
