<?php # $Id: serendipity_entries.php,v 1.18 2003/11/15 16:21:14 tomsommer Exp $

session_start();
if (file_exists('./serendipity_config_local.inc.php')) {
    include('serendipity_config.inc.php');
} else {
    $_SESSION['serendipityAuthedUser'] = true;
}

?>
<html>
<head>
    <title><?php echo SERENDIPITY_AUTHORING_SUITE; ?></title>
    <link rel="stylesheet" type="text/css" href="<?php echo $serendipity['serendipityHTTPPath']; ?>serendipity.css.php" />
<?php
if (strtolower($serendipity['extCSS']) != 'none' && $serendipity['extCSS'] != '') {
?>
    <link rel="stylesheet" type="text/css" href="<?php echo $serendipity['extCSS']; ?>" />
<?php
}
?>

</head>

<body>
    <div id="serendipity_banner">
        <h1><?php echo $serendipity['blogTitle'] ; ?></h1>
<?php
$sub = isset($serendipity['blogSubTitle']) ? $serendipity['blogSubTitle'] : $serendipity['blogDescription'];
if (strlen($sub)) {
?>
        <h2><?php echo $sub ; ?></h2>
<?php
}
?>

    </div>

    <table id="mainpane">
        <tr id="content" valign="top">
<?php
if ( !serendipity_userLoggedIn() ) {
   serendipity_printLogin();
} else {
?>
            <td class="serendipitySideBar">
                <div class="serendipitySideBarItem">
                    <div class="serendipitySideBarTitle"><?php echo ENTRIES; ?></div>
                    <div class="serendipitySideBarContent">
                        &bull; <a href="?serendipity[adminModule]=entries&amp;serendipity[adminAction]=new"><?php          echo NEW_ENTRY;      ?></a><br />
                        &bull; <a href="?serendipity[adminModule]=entries&amp;serendipity[adminAction]=editSelect"><?php   echo EDIT_ENTRIES;   ?></a><br />
                        &bull; <a href="?serendipity[adminModule]=entries&amp;serendipity[adminAction]=deleteSelect"><?php echo DELETE_ENTRIES; ?></a><br />
                    </div>
                </div>

                <div class="serendipitySideBarItem">
                    <div class="serendipitySideBarTitle"><?php echo CATEGORIES; ?>:</div>
                    <div class="serendipitySideBarContent">
                        &bull; <a href="?serendipity[adminModule]=category&amp;serendipity[adminAction]=editSelect"><?php  echo EDIT_CATEGORIES; ?></a><br />
                    </div>
                </div>

                <div class="serendipitySideBarItem">
                    <div class="serendipitySideBarTitle"><?php echo IMAGES; ?></div>
                    <div class="serendipitySideBarContent">
                        &bull; <a href="?serendipity[adminModule]=images&amp;serendipity[adminAction]=addSelect"><?php echo ADD_IMAGES; ?></a><br />
                        &bull; <a href="?serendipity[adminModule]=images"><?php echo MANAGE_IMAGES; ?></a><br />
                        &bull; <a href="?serendipity[adminModule]=images&amp;serendipity[adminAction]=genThumbs" onclick="return confirm('<?php echo WARNING_THIS_BLAHBLAH; ?>');"><?php echo CREATE_THUMBS; ?></a><br />
                    </div>
                </div>

                <div class="serendipitySideBarContent">
                    &bull; <a href="<?php echo $serendipity['serendipityHTTPPath']; ?>serendipity_admin.php"><?php echo ADMIN_INTERFACE; ?></a><br />
                    &bull; <a href="<?php echo $serendipity['serendipityHTTPPath']; ?>"                     ><?php echo BACK_TO_BLOG;    ?></a><br />
                    &bull; <a href="?serendipity[adminModule]=logout"                                       ><?php echo LOGOUT;          ?></a><br />
                </div>
            </td>

            <td class="serendipity_admin">
                <div class="serendipity_admin_title"><?php echo SERENDIPITY_AUTHORING_SUITE; ?></div>
<?php
    if (!isset($serendipity['GET']['adminModule'])) {
        $serendipity['GET']['adminModule'] = (isset($serendipity['POST']['adminModule']) ? $serendipity['POST']['adminModule'] : '');
    }

    switch($serendipity['GET']['adminModule']) {
        case 'entries':
            include 'serendipity_admin_entries.inc.php';
            break;

        case 'images':
            include 'serendipity_admin_images.inc.php';
            break;

        case 'category':
            include 'serendipity_admin_category.inc.php';
            break;

        case 'logout':
            session_destroy();
            echo LOGGEDOUT;
        break;

        default:
            include 'serendipity_entries_overview.inc.php';
    }
 }
?>
            </td>
        </tr>
    </table>
</body>
</html>
<?php
/* vim: set sts=4 ts=4 expandtab : */
?>
