<?php
	///////////////////////////////////////////////////////////////////////////////
	// Copyright  2003 Michael Bird. All Rights Reserved                        //
	//                                                                           //
	// This file is part of Help Center Live.                                    //
	//                                                                           //
	// Help Center Live is free software; you can redistribute it and/or modify  //
	// it under the terms of the GNU General Public License as published by      //
	// the Free Software Foundation; either version 2 of the License, or         //
	// (at your option) any later version.                                       //
	//                                                                           //
	// Help Center Live is distributed in the hope that it will be useful,       //
	// but WITHOUT ANY WARRANTY; without even the implied warranty of            //
	// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             //
	// GNU General Public License for more details.                              //
	//                                                                           //
	// You should have received a copy of the GNU General Public License         //
	// along with Help Center Live; if not, write to the Free Software           //
	// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA //
	///////////////////////////////////////////////////////////////////////////////


		if(isset($_POST["submit"]) || isset($_POST["topic"])){
			include_once("../../inc/header_faq.php");
			if($_POST["x"] == "t"){

				if (get_magic_quotes_gpc() == 0) {
					$TOPIC_name = addslashes(rawurlencode($_POST["topic"]));
				} else {
					$TOPIC_name = rawurlencode($_POST["topic"]);
				}

				$result_sort = DATABASE_query("SELECT * FROM ".$DB_prefix."topics ORDER BY sort DESC LIMIT 1");
				if($get = DATABASE_fetch($result_sort)){
					$TOPIC_sort = $get["sort"] + 1;
				}else{
					$TOPIC_sort = 1;
				}

				// Check to see if topic exists
				$result_search = DATABASE_query("SELECT * FROM ".$DB_prefix."topics");
				while($search = DATABASE_fetch($result_search)){
					$SEARCH_name = $search["name"];
					if($SEARCH_name == $TOPIC_name){
						$SEARCH_error = 1;
					}
				}

				// Add Topic if it does not exist
				if(!isset($SEARCH_error)){
					DATABASE_query("INSERT INTO ".$DB_prefix."topics (name,sort) VALUES ('$TOPIC_name','$TOPIC_sort')");
					echo("<div align=\"center\">Topic added</div>");
				}else{
					echo("<div align=\"center\">Topic already exists</div>");
				}

			}elseif($_POST["x"] == "f"){

				if (get_magic_quotes_gpc() == 0) {
					$FAQ_subject = addslashes(rawurlencode($_POST["subject"]));
				} else {
					$FAQ_subject = addslashes(rawurlencode($_POST["subject"]));
				}

				if($FAQ_subject == ""){
					$ADD_error = "<div align=\"center\">Please enter a subject</div>";
				}

				if (get_magic_quotes_gpc() == 0) {
					$FAQ_message = addslashes(rawurlencode($_POST["message"]));
				} else {
					$FAQ_message = addslashes(rawurlencode($_POST["message"]));
				}

				if($FAQ_message == ""){
					$ADD_error = "<div align=\"center\">Please enter a message</div>";
				}
				$FAQ_topicid = $_POST["topic"];
				if($FAQ_topicid == "" || !isset($_POST["topic"])){
					$ADD_error = "<div align=\"center\">FAQs must be assigned to a topic</div>";
				}
				// Check to see if faq exists
				$result_search = DATABASE_query("SELECT * FROM ".$DB_prefix."faqs");
				while($search = DATABASE_fetch($result_search)){
					$SEARCH_subject = $search["subject"];
					if($SEARCH_subject == $FAQ_subject){
						$ADD_error = "<div align=\"center\">FAQ already exists</div>";
					}
				}

				// Add FAQ if it does not exist
				if(!isset($SEARCH_error)){
					DATABASE_query("INSERT INTO ".$DB_prefix."faqs (topicid,subject,message) VALUES ('$FAQ_topicid','$FAQ_subject','$FAQ_message')");
					echo("<div align=\"center\">FAQ added</div>");
				}else{
					echo($ADD_error);
				}

			}else{
				echo("<div align=\"center\">Code Error - x not defined</div>");
			}



		}else{

			if($_GET["x"] == "t"){
				include_once("../../inc/header_faq.php");
?>
<form name="add" method="post" action="<?php echo($URL_maindir); ?>/cp/faq/add.php">
<table border="0" align="center" cellspacing="0" cellpadding="2">
  <tr>
    <td>Topic</td>
    <td><input name="topic" type="text" size="30" maxlength="255"></td>
  </tr>
  <tr>
    <td><input type="hidden" name="x" value="t"></td>
    <td><input type="submit" name="submit" value="Add"></td>
  </tr>
</table>
</form>
<?php
			}elseif($_GET["x"] == "f"){
				include_once("../../inc/header_faq.php");
?>
<form name="add" method="post" action="<?php echo($URL_maindir); ?>/cp/faq/add.php">
<table border="0" align="center" cellspacing="0" cellpadding="2">
  <tr>
    <td>Topic</td>
    <td>
<?php
			$result_topics = DATABASE_query("SELECT * FROM ".$DB_prefix."topics");
			while($topics = DATABASE_fetch($result_topics)){
				$TOPIC_name = rawurldecode($topics["name"]);
				$TOPIC_id = $topics["id"];
				echo("<input name=\"topic\" type=\"radio\" value=\"".$TOPIC_id."\"> ".$TOPIC_name."<br>\n");
			}
?>
    </td>
  </tr>
  <tr>
    <td>Subject</td>
    <td><input name="subject" type="text" size="30" maxlength="255"></td>
  </tr>
  <tr>
    <td>Message</td>
    <td><textarea name="message" cols="30" rows="5"></textarea></td>
  </tr>
  <tr>
    <td><input type="hidden" name="x" value="f"></td>
    <td><input type="submit" name="submit" value="Add"></td>
  </tr>
</table>
</form>
<?php
			}else{
				include_once("../../inc/config.php");
				header("Location: ".$URL_maindir."/cp/faq/add.php?x=f");
			}

		}

	include_once("../../inc/footer.php");
?>