<?php
	///////////////////////////////////////////////////////////////////////////////
	// Copyright  2003 Michael Bird. All Rights Reserved                        //
	//                                                                           //
	// This file is part of Help Center Live.                                    //
	//                                                                           //
	// Help Center Live is free software; you can redistribute it and/or modify  //
	// it under the terms of the GNU General Public License as published by      //
	// the Free Software Foundation; either version 2 of the License, or         //
	// (at your option) any later version.                                       //
	//                                                                           //
	// Help Center Live is distributed in the hope that it will be useful,       //
	// but WITHOUT ANY WARRANTY; without even the implied warranty of            //
	// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             //
	// GNU General Public License for more details.                              //
	//                                                                           //
	// You should have received a copy of the GNU General Public License         //
	// along with Help Center Live; if not, write to the Free Software           //
	// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA //
	///////////////////////////////////////////////////////////////////////////////




	include_once("../../inc/header_icons.php");




	if(isset($_POST["submit"])){

			if($_POST["department"] !== "null"){
				$ICON_department = $_POST["department"];
			}

			$dep = $_POST["department"];
			$online = "status_online_".$dep;
			$offline = "status_offline_".$dep;
			$ICON_onlineid = $_POST[$online];
			$ICON_offlineid = $_POST[$offline];

			$result_online = DATABASE_query("SELECT * FROM ".$DB_prefix."icons WHERE id='$ICON_onlineid'");
			if($get = DATABASE_fetch($result_online)){

				// Make sure the icon is not corrupted by magic quotes
				set_magic_quotes_runtime(0);

				// Get the icon data
				$icondata = $get["image"];
				$iconsize = $get["size"];
				$iconname = $get["name"];
				$icontype = $get["type"];

				// Inset icon into the database
 				if(isset($ICON_department)){
					DATABASE_query("DELETE FROM ".$DB_prefix."icons WHERE department='$ICON_department' AND status='1'");
					DATABASE_query("INSERT INTO ".$DB_prefix."icons (department,status,name,image,size,type) VALUES ('$ICON_department','1','$iconname','$icondata','$iconsize','$icontype')");
				}else{
					DATABASE_query("DELETE FROM ".$DB_prefix."icons WHERE department IS NULL AND status='1'");
					DATABASE_query("INSERT INTO ".$DB_prefix."icons (status,name,image,size,type) VALUES ('1','$iconname','$icondata','$iconsize','$icontype')");
				}

				// Put magic quotes back as they were
				set_magic_quotes_runtime(get_magic_quotes_gpc());


			}


			$result_offline = DATABASE_query("SELECT * FROM ".$DB_prefix."icons WHERE id='$ICON_offlineid'");

			if($get = DATABASE_fetch($result_offline)){

				// Make sure the icon is not corrupted by magic quotes
				set_magic_quotes_runtime(0);

				// Get the icon data
				$icondata = $get["image"];
				$iconsize = $get["size"];
				$iconname = $get["name"];
				$icontype = $get["type"];


				// Inset icon into the database
 				if(isset($ICON_department)){
					DATABASE_query("DELETE FROM ".$DB_prefix."icons WHERE department='$ICON_department' AND status='0'");
					DATABASE_query("INSERT INTO ".$DB_prefix."icons (department,status,name,image,size,type) VALUES ('$ICON_department','0','$iconname','$icondata','$iconsize','$icontype')");
				}else{
					DATABASE_query("DELETE FROM ".$DB_prefix."icons WHERE department IS NULL AND status='0'");
					DATABASE_query("INSERT INTO ".$DB_prefix."icons (status,name,image,size,type) VALUES ('0','$iconname','$icondata','$iconsize','$icontype')");
				}

				// Put magic quotes back as they were
				set_magic_quotes_runtime(get_magic_quotes_gpc());


			}

	}
?>
<form name="allocate" method="post" action="<?php echo($URL_maindir); ?>/cp/icons/allocate.php">
<table align="center" border="0" cellspacing="0" cellpadding="2">
  <tr bgcolor="<?php echo($TABLE_hcolour); ?>">
    <td>All Departments</td>
  </tr>
  <tr>
    <td><table align="center" width="100%" border="0" cellspacing="1" cellpadding="5">
        <tr bgcolor="<?php echo($TABLE_dcolour); ?>">
          <td colspan="5">Online Image:</td>
        </tr>
        <tr bgcolor="<?php echo($TABLE_lcolour); ?>">
          <td>&nbsp;</td><td>Name</td><td>Size</td><td>Type</td><td>Image</td>
        </tr>
<?php
		$result_current = DATABASE_query("SELECT * FROM ".$DB_prefix."icons WHERE status='1' AND department IS NULL");
		if($find = DATABASE_fetch($result_current)){
			$ICON_cname = $find["name"];
			$ICON_ctype = $find["type"];
			$ICON_csize = $find["size"];
		}else{
			$ICON_cname = "";
			$ICON_ctype = "";
			$ICON_csize = "";
		}

		$result_icon = DATABASE_query("SELECT * FROM ".$DB_prefix."icons WHERE status IS NULL AND department IS NULL");
		while($fetch = DATABASE_fetch($result_icon)){
			$ICON_id = $fetch["id"];
			$ICON_department = $fetch["department"];
			$ICON_status = $fetch["status"];
			$ICON_name = $fetch["name"];
			$ICON_type = $fetch["type"];
			$ICON_size = $fetch["size"];

			if($ICON_name == $ICON_cname && $ICON_size == $ICON_csize && $ICON_type == $ICON_ctype){
				echo("<tr bgcolor=\"".$TABLE_lcolour."\"><td><input type=\"radio\" name=\"status_online_null\" value=\"".$ICON_id."\" checked></td><td>".$ICON_name."</td><td>".$ICON_size."</td><td>".$ICON_type."</td><td><img src=\"".$URL_maindir."/cp/icons/display.php?id=".$ICON_id."\"></td></tr>\n");
			}else{
				echo("<tr bgcolor=\"".$TABLE_lcolour."\"><td><input type=\"radio\" name=\"status_online_null\" value=\"".$ICON_id."\"></td><td>".$ICON_name."</td><td>".$ICON_size."</td><td>".$ICON_type."</td><td><img src=\"".$URL_maindir."/cp/icons/display.php?id=".$ICON_id."\"></td></tr>\n");
			}
		}
?>
      </table>
      <table align="center" width="100%" border="0" cellspacing="1" cellpadding="5">
        <tr bgcolor="<?php echo($TABLE_dcolour); ?>">
          <td colspan="5">Offline Image:</td>
        </tr>
        <tr bgcolor="<?php echo($TABLE_lcolour); ?>">
          <td>&nbsp;</td><td>Name</td><td>Size</td><td>Type</td><td>Image</td>
        </tr>
<?php
		$result_current = DATABASE_query("SELECT * FROM ".$DB_prefix."icons WHERE status='0' AND department IS NULL");
		if($find = DATABASE_fetch($result_current)){
			$ICON_cname = $find["name"];
			$ICON_ctype = $find["type"];
			$ICON_csize = $find["size"];
		}else{
			$ICON_cname = "";
			$ICON_ctype = "";
			$ICON_csize = "";
		}

		$result_icon = DATABASE_query("SELECT * FROM ".$DB_prefix."icons WHERE status IS NULL AND department IS NULL");
		while($fetch = DATABASE_fetch($result_icon)){
			$ICON_id = $fetch["id"];
			$ICON_department = $fetch["department"];
			$ICON_status = $fetch["status"];
			$ICON_name = $fetch["name"];
			$ICON_type = $fetch["type"];
			$ICON_size = $fetch["size"];

			if($ICON_name == $ICON_cname && $ICON_size == $ICON_csize && $ICON_type == $ICON_ctype){
				echo("<tr bgcolor=\"".$TABLE_lcolour."\"><td><input type=\"radio\" name=\"status_offline_null\" value=\"".$ICON_id."\" checked></td><td>".$ICON_name."</td><td>".$ICON_size."</td><td>".$ICON_type."</td><td><img src=\"".$URL_maindir."/cp/icons/display.php?id=".$ICON_id."\"></td></tr>\n");
			}else{
				echo("<tr bgcolor=\"".$TABLE_lcolour."\"><td><input type=\"radio\" name=\"status_offline_null\" value=\"".$ICON_id."\"></td><td>".$ICON_name."</td><td>".$ICON_size."</td><td>".$ICON_type."</td><td><img src=\"".$URL_maindir."/cp/icons/display.php?id=".$ICON_id."\"></td></tr>\n");
			}
		}
?>
      </table>
    </td>
  </tr>
  <tr>
    <td><div align="center"><input type="hidden" name="department" value="null"><input type="submit" name="submit" value="Update"></div></td>
  </tr>
</table>
</form>
<?php

	$result = DATABASE_query("SELECT * FROM ".$DB_prefix."departments GROUP BY department");
	while($get = DATABASE_fetch($result)){
		$ICON_dep = $get["department"];
?>
<form name="allocate" method="post" action="<?php echo($URL_maindir); ?>/cp/icons/allocate.php">
<table align="center" border="0" cellspacing="0" cellpadding="2">
  <tr bgcolor="<?php echo($TABLE_hcolour); ?>">
    <td>Department: <?php echo($ICON_dep); ?></td>
  </tr>
  <tr>
    <td><table align="center" width="100%" border="0" cellspacing="1" cellpadding="5">
        <tr bgcolor="<?php echo($TABLE_dcolour); ?>">
          <td colspan="5">Online Image:</td>
        </tr>
        <tr bgcolor="<?php echo($TABLE_lcolour); ?>">
          <td>&nbsp;</td><td>Name</td><td>Size</td><td>Type</td><td>Image</td>
        </tr>
<?php
		$result_current = DATABASE_query("SELECT * FROM ".$DB_prefix."icons WHERE status='1' AND department='$ICON_dep'");
		if($find = DATABASE_fetch($result_current)){
			$ICON_cname = $find["name"];
			$ICON_ctype = $find["type"];
			$ICON_csize = $find["size"];
		}else{
			$ICON_cname = "";
			$ICON_ctype = "";
			$ICON_csize = "";
		}

		$result_icon = DATABASE_query("SELECT * FROM ".$DB_prefix."icons WHERE status IS NULL AND department IS NULL");
		while($fetch = DATABASE_fetch($result_icon)){
			$ICON_id = $fetch["id"];
			$ICON_department = $fetch["department"];
			$ICON_status = $fetch["status"];
			$ICON_name = $fetch["name"];
			$ICON_type = $fetch["type"];
			$ICON_size = $fetch["size"];

			if($ICON_name == $ICON_cname && $ICON_size == $ICON_csize && $ICON_type == $ICON_ctype){
				echo("<tr bgcolor=\"".$TABLE_lcolour."\"><td><input type=\"radio\" name=\"status_online_".$ICON_dep."\" value=\"".$ICON_id."\" checked></td><td>".$ICON_name."</td><td>".$ICON_size."</td><td>".$ICON_type."</td><td><img src=\"".$URL_maindir."/cp/icons/display.php?id=".$ICON_id."\"></td></tr>\n");
			}else{
				echo("<tr bgcolor=\"".$TABLE_lcolour."\"><td><input type=\"radio\" name=\"status_online_".$ICON_dep."\" value=\"".$ICON_id."\"></td><td>".$ICON_name."</td><td>".$ICON_size."</td><td>".$ICON_type."</td><td><img src=\"".$URL_maindir."/cp/icons/display.php?id=".$ICON_id."\"></td></tr>\n");
			}
		}
?>
      </table>
      <table align="center" width="100%" border="0" cellspacing="1" cellpadding="5">
        <tr bgcolor="<?php echo($TABLE_dcolour); ?>">
          <td colspan="5">Offline Image:</td>
        </tr>
        <tr bgcolor="<?php echo($TABLE_lcolour); ?>">
          <td>&nbsp;</td><td>Name</td><td>Size</td><td>Type</td><td>Image</td>
        </tr>
<?php
		$result_current = DATABASE_query("SELECT * FROM ".$DB_prefix."icons WHERE status='0' AND department='$ICON_dep'");
		if($find = DATABASE_fetch($result_current)){
			$ICON_cname = $find["name"];
			$ICON_ctype = $find["type"];
			$ICON_csize = $find["size"];
		}else{
			$ICON_cname = "";
			$ICON_ctype = "";
			$ICON_csize = "";
		}

		$result_icon = DATABASE_query("SELECT * FROM ".$DB_prefix."icons WHERE status IS NULL AND department IS NULL");
		while($fetch = DATABASE_fetch($result_icon)){
			$ICON_id = $fetch["id"];
			$ICON_department = $fetch["department"];
			$ICON_status = $fetch["status"];
			$ICON_name = $fetch["name"];
			$ICON_type = $fetch["type"];
			$ICON_size = $fetch["size"];

			if($ICON_name == $ICON_cname && $ICON_size == $ICON_csize && $ICON_type == $ICON_ctype){
				echo("<tr bgcolor=\"".$TABLE_lcolour."\"><td><input type=\"radio\" name=\"status_offline_".$ICON_dep."\" value=\"".$ICON_id."\" checked></td><td>".$ICON_name."</td><td>".$ICON_size."</td><td>".$ICON_type."</td><td><img src=\"".$URL_maindir."/cp/icons/display.php?id=".$ICON_id."\"></td></tr>\n");
			}else{
				echo("<tr bgcolor=\"".$TABLE_lcolour."\"><td><input type=\"radio\" name=\"status_offline_".$ICON_dep."\" value=\"".$ICON_id."\"></td><td>".$ICON_name."</td><td>".$ICON_size."</td><td>".$ICON_type."</td><td><img src=\"".$URL_maindir."/cp/icons/display.php?id=".$ICON_id."\"></td></tr>\n");
			}
		}
?>
      </table>
    </td>
  </tr>
  <tr>
    <td><div align="center"><input type="hidden" name="department" value="<?php echo($ICON_dep); ?>"><input type="submit" name="submit" value="Update"></div></td>
  </tr>
</table>
</form>
<?php
	}

	include_once("../../inc/footer.php");
?>