<?php
	///////////////////////////////////////////////////////////////////////////////
	// Copyright  2003 Michael Bird. All Rights Reserved                        //
	//                                                                           //
	// This file is part of Help Center Live.                                    //
	//                                                                           //
	// Help Center Live is free software; you can redistribute it and/or modify  //
	// it under the terms of the GNU General Public License as published by      //
	// the Free Software Foundation; either version 2 of the License, or         //
	// (at your option) any later version.                                       //
	//                                                                           //
	// Help Center Live is distributed in the hope that it will be useful,       //
	// but WITHOUT ANY WARRANTY; without even the implied warranty of            //
	// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             //
	// GNU General Public License for more details.                              //
	//                                                                           //
	// You should have received a copy of the GNU General Public License         //
	// along with Help Center Live; if not, write to the Free Software           //
	// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA //
	///////////////////////////////////////////////////////////////////////////////



	include_once("../../inc/config.php");
	include_once("../../inc/database.php");
	include_once("../../inc/isoperator.php");

			if($ADMIN_isoperator !== 1){
				echo("Error - You do not have permission to access this area");
				exit;
			}
?>
<html>
<head>
<title><?php echo($COMPANY_name); ?> - View Info</title>
<link href="<?php echo($URL_maindir);?>/css/lh/request.css" rel="stylesheet" type="text/css">
</head>
<body>
<br><br>
<?php

	// Get visitor info

	$TRAFFIC_uid = $_GET["chatid"];
	$result_online = DATABASE_query("SELECT * FROM ".$DB_prefix."traffic WHERE chatid='$TRAFFIC_uid'");
	if($get = DATABASE_fetch($result_online)){

		$TRAFFIC_uid = $get["chatid"];
		$TRAFFIC_time = $get["time"];
		$TRAFFIC_ip = $get["ip"];
		$TRAFFIC_hostname = $get["hostname"];
		$TRAFFIC_referrer = rawurldecode($get["referrer"]);
		$TRAFFIC_requests = $get["requests"];
		$TRAFFIC_visits = $get["visits"];
		$TRAFFIC_startsite = $get["start"];

		$result_page = DATABASE_query("SELECT * FROM ".$DB_prefix."footprints WHERE chatid='$TRAFFIC_uid' ORDER BY id DESC LIMIT 1");
		if($fetch = DATABASE_fetch($result_page)){
			$TRAFFIC_page = rawurldecode($fetch["page"]);
			$TRAFFIC_startpage = $fetch["time"];
		}
		$TRAFFIC_operator = $get[$ADMIN_operator];
		$TRAFFIC_isnew = 0;
		if($TRAFFIC_operator == 1){
			$TRAFFIC_isnew = 1;
		}

		// Convert seconds to proper time

		$TRAFFIC_timesite = time() - $TRAFFIC_startsite;
			$secs = $TRAFFIC_timesite;
			$hours = floor($secs / 3600);
			$secs = $secs % 3600;
			$mins = floor($secs / 60);
			$secs = $secs % 60;
			if($mins > 60){
				$TRAFFIC_tsite = $hours." hours ".$mins." mins ".$secs." secs";
			}else{
				$TRAFFIC_tsite = $mins." mins ".$secs." secs";
			}

		$TRAFFIC_timepage = time() - $TRAFFIC_startpage;
			$secs = $TRAFFIC_timepage;
			$hours = floor($secs / 3600);
			$secs = $secs % 3600;
			$mins = floor($secs / 60);
			$secs = $secs % 60;
			if($mins > 60){
				$TRAFFIC_tpage = $hours." hours ".$mins." mins ".$secs." secs";
			}else{
				$TRAFFIC_tpage = $mins." mins ".$secs." secs";
			}

?>
<table width="90%" align="center" border="0" cellspacing="1" cellpadding="2" class="box">
  <tr>
    <td bgcolor="<?php echo($TABLE_hcolour); ?>" colspan="2"><div align="center"><b>Host Name</b></div></td>
  </tr>
  <tr>
    <td bgcolor="<?php echo($TABLE_lcolour); ?>" colspan="2"><div align="center"><?php echo($TRAFFIC_hostname); ?></div></td>
  </tr>
  <tr>
    <td bgcolor="<?php echo($TABLE_hcolour); ?>" colspan="2"><div align="center"><b>IP Address</b></div></td>
  </tr>
  <tr>
    <td bgcolor="<?php echo($TABLE_lcolour); ?>" colspan="2"><div align="center"><?php echo($TRAFFIC_ip); ?></div></td>
  </tr>
  <tr>
    <td bgcolor="<?php echo($TABLE_hcolour); ?>" colspan="2">&nbsp;&nbsp;<b>Referrer</b></td>
  </tr>
  <tr>
    <td bgcolor="<?php echo($TABLE_lcolour); ?>" colspan="2">&nbsp;&nbsp;<?php echo($TRAFFIC_referrer); ?></td>
  </tr>
  <tr>
    <td bgcolor="<?php echo($TABLE_hcolour); ?>" colspan="2">&nbsp;&nbsp;<b>Current Page</b></td>
  </tr>
  <tr>
    <td bgcolor="<?php echo($TABLE_lcolour); ?>" colspan="2">&nbsp;&nbsp;<?php echo($TRAFFIC_page); ?></td>
  </tr>
  <tr>
    <td bgcolor="<?php echo($TABLE_hcolour); ?>"><div align="center"><b>Time on Page</b></div></td>
    <td bgcolor="<?php echo($TABLE_hcolour); ?>"><div align="center"><b>Time on Site</b></div></td>
  </tr>
  <tr>
    <td bgcolor="<?php echo($TABLE_lcolour); ?>"><div align="center"><?php echo($TRAFFIC_tpage); ?></div></td>
    <td bgcolor="<?php echo($TABLE_lcolour); ?>"><div align="center"><?php echo($TRAFFIC_tsite); ?></div></td>
  </tr>
  <tr>
    <td bgcolor="<?php echo($TABLE_hcolour); ?>"><div align="center"><b>Total Unique Visits</b></div></td>
    <td bgcolor="<?php echo($TABLE_hcolour); ?>"><div align="center"><b>Total Chat Requests</b></div></td>
  </tr>
  <tr>
    <td bgcolor="<?php echo($TABLE_lcolour); ?>"><div align="center"><?php echo($TRAFFIC_visits); ?></div></td>
    <td bgcolor="<?php echo($TABLE_lcolour); ?>"><div align="center"><?php echo($TRAFFIC_requests); ?></div></td>
  </tr>
  <tr>
    <td bgcolor="<?php echo($TABLE_hcolour); ?>" colspan="2">&nbsp;&nbsp;<b>Footprints</b></td>
  </tr>
  <tr>
    <td bgcolor="<?php echo($TABLE_lcolour); ?>" colspan="2">
<?php
			$result_footprints = DATABASE_query("SELECT * FROM ".$DB_prefix."footprints WHERE chatid='$TRAFFIC_uid' ORDER BY id DESC");
			while($find = DATABASE_fetch($result_footprints)){
				$FOOTPRINT_found = 1;
				$FOOTPRINT_page = $find["page"];

				$result_hotpage = DATABASE_query("SELECT * FROM ".$DB_prefix."hotpages WHERE page='$FOOTPRINT_page'");
				if(DATABASE_fetch($result_hotpage)){
					echo("<b>!</b>&nbsp;&nbsp;".$FOOTPRINT_page."<br>");
				}else{
					echo("&nbsp;&nbsp;&nbsp;".$FOOTPRINT_page."<br>");
				}

			}

			if(!isset($FOOTPRINT_found)){
				echo("&nbsp;&nbsp;No Footprints Found");
			}
?>
    </td>
  </tr>
  <tr>
    <td bgcolor="<?php echo($TABLE_lcolour); ?>" colspan="3"><div align="center">[<a href="javascript:window.close();">Close</a>]</div></td>
  </tr>
</table>
<br><br>
<?php

	}else{
		echo("<div align=\"center\">User not found</div>");
	}
?>
</body>
</html>