<?php
	///////////////////////////////////////////////////////////////////////////////
	// Copyright  2003 Michael Bird. All Rights Reserved                        //
	//                                                                           //
	// This file is part of Help Center Live.                                    //
	//                                                                           //
	// Help Center Live is free software; you can redistribute it and/or modify  //
	// it under the terms of the GNU General Public License as published by      //
	// the Free Software Foundation; either version 2 of the License, or         //
	// (at your option) any later version.                                       //
	//                                                                           //
	// Help Center Live is distributed in the hope that it will be useful,       //
	// but WITHOUT ANY WARRANTY; without even the implied warranty of            //
	// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             //
	// GNU General Public License for more details.                              //
	//                                                                           //
	// You should have received a copy of the GNU General Public License         //
	// along with Help Center Live; if not, write to the Free Software           //
	// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA //
	///////////////////////////////////////////////////////////////////////////////



	include_once("../../inc/config.php");
	include_once("../../inc/database.php");
	include_once("../../inc/isoperator.php");

			if($ADMIN_isoperator !== 1){
				echo("Error - You do not have permission to access this area");
				exit;
			}
?>
<html>
<head>
<title><?php echo($COMPANY_name); ?> - Request Monitor</title>
<script>
<!--

	var date;
	var time;
	var ismac = navigator.platform.indexOf('Mac');
	var doimage;
	var doimagea;
	var doimaged;
	var imgwidth;


		function timer()
		{
			date = new Date();
			return date.getTime();
		}


		function start()
		{
			time = timer();
			setTimeout("dorefresh();",5000);
			parent.window.monitor.location.href = "<?php echo($URL_maindir); ?>/cp/lh/request_monitor.php?time="+time;
		}


		function gourl(page)
		{
			if(page == "monitor"){
				parent.window.monitor.location.href = "<?php echo($URL_maindir); ?>/cp/lh/request_monitor.php?time="+time;
			}
		}


		function check()
		{
			time = timer();

			if(ismac > -1)
			{
				imgwidth = parent.window.monitor.images['doimgreload'].width;
			}else{
				imgwidth = doimage.width;
			}

				if (imgwidth == 2)
				{
					parent.window.monitor.location.href = "<?php echo($URL_maindir); ?>/cp/lh/request_monitor.php?time="+time;
				}
		}


		function dorefresh()
		{
			time = timer();

			if(ismac > -1)
			{
				parent.window.monitor.images['doimgreload'].src = "<?php echo($URL_maindir); ?>/lh/image_request.php?time="+time;
				check();
			}else{
				doimage = new Image;
				doimage.src = "<?php echo($URL_maindir); ?>/lh/image_request.php?time="+time;
				doimage.onload = check;
			}

			setTimeout("dorefresh();",<?php echo($REQUEST_refresh); ?>);
		}


		function accept(id, chatid)
		{
			time = timer();
			doimagea = new Image;
			doimagea.src = "<?php echo($URL_maindir); ?>/lh/image_function.php?type=accept&time="+time+"&id="+id+"&chatid="+chatid;
			window.open('<?php echo($URL_maindir); ?>/lh/chat_main.php?win=admin&chatid='+chatid,'operator_'+chatid,'toolbar=no,status=no,scrollbars=no,location=no,menubar=no,directories=no,width=<?php echo($CHAT_o_width); ?>,height=<?php echo($CHAT_o_height); ?>');
			window.setTimeout("parent.window.monitor.location.href = '<?php echo($URL_maindir); ?>/cp/lh/request_monitor.php?time='+time", 500);
		}


		function decline(id, chatid)
		{
			time = timer();
			doimaged = new Image;
			doimaged.src = "<?php echo($URL_maindir); ?>/lh/image_function.php?type=decline&time="+time+"&id="+id+"&chatid="+chatid;
			window.setTimeout("parent.window.monitor.location.href = '<?php echo($URL_maindir); ?>/cp/lh/request_monitor.php?time='+time", 500);
		}

		function accept_opchat(id, chatid)
		{
			time = timer();
			doimagea = new Image;
			doimagea.src = "<?php echo($URL_maindir); ?>/lh/image_function.php?type=accept&time="+time+"&id="+id+"&chatid="+chatid;
			window.open('<?php echo($URL_maindir); ?>/lh/chat_main.php?win=admin&chatid='+chatid,'operator_'+chatid,'toolbar=no,status=no,scrollbars=no,location=no,menubar=no,directories=no,width=<?php echo($CHAT_g_width); ?>,height=<?php echo($CHAT_g_height); ?>');
			window.setTimeout("parent.window.monitor.location.href = '<?php echo($URL_maindir); ?>/cp/lh/request_monitor.php?time='+time", 500);
		}


		function decline_opchat(id, chatid)
		{
			time = timer();
			doimaged = new Image;
			doimaged.src = "<?php echo($URL_maindir); ?>/lh/image_function.php?type=decline&time="+time+"&id="+id+"&chatid="+chatid;
			window.setTimeout("parent.window.monitor.location.href = '<?php echo($URL_maindir); ?>/cp/lh/request_monitor.php?time='+time", 500);
		}

		function accept_transfer(id, chatid)
		{
			time = timer();
			doimagea = new Image;
			doimagea.src = "<?php echo($URL_maindir); ?>/lh/image_function.php?type=accept_transfer&time="+time+"&id="+id+"&chatid="+chatid;
			window.open('<?php echo($URL_maindir); ?>/lh/chat_main.php?win=admin&chatid='+chatid,'operator_'+chatid,'toolbar=no,status=no,scrollbars=no,location=no,menubar=no,directories=no,width=<?php echo($CHAT_o_width); ?>,height=<?php echo($CHAT_o_height); ?>');
			window.setTimeout("parent.window.monitor.location.href = '<?php echo($URL_maindir); ?>/cp/lh/request_monitor.php?time='+time", 500);
		}


		function decline_transfer(id, chatid)
		{
			time = timer();
			doimaged = new Image;
			doimaged.src = "<?php echo($URL_maindir); ?>/lh/image_function.php?type=decline_transfer&time="+time+"&id="+id+"&chatid="+chatid;
			window.setTimeout("parent.window.monitor.location.href = '<?php echo($URL_maindir); ?>/cp/lh/request_monitor.php?time='+time", 500);
		}


		function viewinfo(chatid)
		{
			window.open('<?php echo($URL_maindir); ?>/cp/lh/request_info.php?chatid='+chatid,'viewinfo'+chatid,'toolbar=no,status=no,scrollbars=yes,location=no,menubar=no,directories=no,width=<?php echo($REQUEST_width); ?>,height=<?php echo($REQUEST_height); ?>');
		}


		function setrefresh()
		{
<?php 			// We need to make the traffic monitor refresh at a time just above the session
			// timeout so 999 is used instead of 000 so that it will refresh after the db
			// query has been executed
?>
			setTimeout("gourl('monitor');",<?php echo($SESSION_timeout."999"); ?>);
		}

//-->
</script>
</head>
<frameset rows="60,*,0" cols="*" framespacing="0" border="0">
  <frame src="<?php echo($URL_maindir); ?>/cp/lh/request_status.php?time=<?php echo(time()); ?>" name="status" frameborder="NO" scrolling="NO" noresize>
  <frame src="about:blank" name="monitor" frameborder="NO" scrolling="YES">
</frameset>
</html>