<?php
	///////////////////////////////////////////////////////////////////////////////
	// Copyright  2003 Michael Bird. All Rights Reserved                        //
	//                                                                           //
	// This file is part of Help Center Live.                                    //
	//                                                                           //
	// Help Center Live is free software; you can redistribute it and/or modify  //
	// it under the terms of the GNU General Public License as published by      //
	// the Free Software Foundation; either version 2 of the License, or         //
	// (at your option) any later version.                                       //
	//                                                                           //
	// Help Center Live is distributed in the hope that it will be useful,       //
	// but WITHOUT ANY WARRANTY; without even the implied warranty of            //
	// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             //
	// GNU General Public License for more details.                              //
	//                                                                           //
	// You should have received a copy of the GNU General Public License         //
	// along with Help Center Live; if not, write to the Free Software           //
	// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA //
	///////////////////////////////////////////////////////////////////////////////



	include_once("../inc/config.php");
	include_once("../inc/database.php");
	include_once("../inc/isoperator.php");


	$TRAFFIC_time = time();
	$TRAFFIC_idle = $TRAFFIC_time - $TRAFFIC_timeout;


	// Update operator status so they do not timeout

	DATABASE_query("UPDATE ".$DB_prefix."operators SET time='$TRAFFIC_time' WHERE operator='$ADMIN_operator'");


	// Delete old sessions

	$CHAT_limit = time() - $CHAT_timeout;
	$result_delete = DATABASE_query("DELETE FROM ".$DB_prefix."session WHERE timeg<$CHAT_limit AND timeo<$CHAT_limit");
	if(DATABASE_affected($result_delete) > 0){
		$IMAGE_reload = 1;
	}

	// Check for new or old traffic

	if($REQUEST_monitor_traffic == "yes"){
		$result_idle = DATABASE_query("SELECT * FROM ".$DB_prefix."system WHERE operator='$ADMIN_operator' AND time<$TRAFFIC_idle");
		$result_online = DATABASE_query("SELECT * FROM ".$DB_prefix."sounds WHERE operator='$ADMIN_operator' AND time>$TRAFFIC_idle");

		if(DATABASE_fetch($result_idle)){
			$IMAGE_reload = 1;
		}

		if(DATABASE_fetch($result_online)){
			$IMAGE_reload = 1;
		}
	}

	// Check for chat requests

	// Loop each department that the operator belongs too
	$result_dep = DATABASE_query("SELECT * FROM ".$DB_prefix."departments WHERE operator='$ADMIN_operator' ORDER BY id ASC");
	while($get = DATABASE_fetch($result_dep)){
		$ADMIN_department = $get["department"];
		$ADMIN_poll = $get["poll"];
		$result_request = DATABASE_query("SELECT * FROM ".$DB_prefix."session WHERE alert='request' AND department='$ADMIN_department' AND poll='$ADMIN_poll' ORDER BY id DESC");

			if($fetch = DATABASE_fetch($result_request)){
				$IMAGE_reload = 1;
				$IMAGE_uid = $fetch["chatid"];
				$IMAGE_id = $fetch["id"];
				// Update request so that it does not keep refreshing the traffic monitor
				DATABASE_query("UPDATE ".$DB_prefix."session SET alert='received' WHERE chatid='$IMAGE_uid' AND id='$IMAGE_id'");
			}

		$ADMIN_opchatdep = "opchat_".$ADMIN_operator;
		$result_opchat = DATABASE_query("SELECT * FROM ".$DB_prefix."session WHERE alert='opchat' AND department='$ADMIN_opchatdep' AND poll='0' ORDER BY id DESC");

			if($fetch = DATABASE_fetch($result_opchat)){
				$IMAGE_reload = 1;
				$IMAGE_uid = $fetch["chatid"];
				$IMAGE_id = $fetch["id"];
				// Update request so that it does not keep refreshing the traffic monitor
				DATABASE_query("UPDATE ".$DB_prefix."session SET alert='opchatreceived' WHERE chatid='$IMAGE_uid' AND id='$IMAGE_id'");
			}

		$result_transfer = DATABASE_query("SELECT * FROM ".$DB_prefix."session WHERE alert='transfer' AND department='$ADMIN_department' AND poll='$ADMIN_poll' ORDER BY id DESC");

			if($fetch = DATABASE_fetch($result_transfer)){
				$IMAGE_reload = 1;
				$IMAGE_uid = $fetch["chatid"];
				$IMAGE_id = $fetch["id"];
				// Update request so that it does not keep refreshing the traffic monitor
				DATABASE_query("UPDATE ".$DB_prefix."session SET alert='transfering' WHERE chatid='$IMAGE_uid' AND id='$IMAGE_id'");
			}

	}


	// Check if we need to reload the traffic monitor

	if(isset($IMAGE_reload)){
		$IMAGE_file = $URL_maindir."/lh/images/pix_two.gif";
	}else{
		$IMAGE_file = $URL_maindir."/lh/images/pix_one.gif";
	}


		Header("Content-type: image/gif");
		readfile($IMAGE_file);
?>