<?php
/********************************************************************
*         a_system.php
*       ----------------
*   Changed   : Sunday Nov 23 2003
*   Copyright : (C) 2003 Lauri Itkonen
*   Email     : indom@mbnet.fi
*   
*********************************************************************/

/********************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or 
 * (at your option) any later version. 
 ********************************************************************/

require('config.php');
require($includepath.'functions.php');
if(!authed()) { header('Location: index.php'); }
getValues();

include($includepath.'lang_'.$SETTING[LANG].'.php');

// Reseting to default
if(isset($_POST[reset_to_def])) {
	$default_pw = md5('password'); // Default pw
	$query = "UPDATE ".$tablepre."Settings SET
					EDISPLAY = 1,
					EALIGN = 'left',
					EDISPD = '1,1,0,0,0,0,0',
					GUESTADD = 0,
					LANG = 'english',
					PAGETITLE = 'Datenator',
					METAKEYW = 'Calendar, event',
					METADESCR = 'This is my eventcalendar',
					TPERDAY = 5,
					EORDER = 'ASC',
					ESORT = 'NAME',
					ADMIN = 'admin',
					ADMPW = '$default_pw' WHERE ID = 1";
	mysql_query($query) or die(mysql_error());
	$emptypage = 1; // // if not 1, show the html-form.
}

// Saving new system settings
if(isset($_POST[edit_sys])) {
	$error = array();

	include($includepath.'mysql.php');

  // Clean and validate data
	if(isset($_POST[dtitle]))   { $_POST[dtitle]   = 1; } else { $_POST[dtitle]   = 0; }
	if(isset($_POST[dstart]))   { $_POST[dstart]   = 1; } else { $_POST[dstart]   = 0; }
	if(isset($_POST[dend]))     { $_POST[dend]     = 1; } else { $_POST[dend]     = 0; }
	if(isset($_POST[dcity]))    { $_POST[dcity]    = 1; } else { $_POST[dcity]    = 0; }
	if(isset($_POST[dcontact])) { $_POST[dcontact] = 1; } else { $_POST[dcontact] = 0; }
	if(isset($_POST[demail]))   { $_POST[demail]   = 1; } else { $_POST[demail]   = 0; }
	if(isset($_POST[ddescr]))   { $_POST[ddescr]   = 1; } else { $_POST[ddescr]   = 0; }
  
	// Displaydata string (e.g: 1,1,0,0,0,0,0)
	$displaydata = $_POST[dtitle].','.$_POST[dstart].','.$_POST[dend].','.$_POST[dcity].','.$_POST[dcontact].','.
		$_POST[demail].','.$_POST[ddescr];
  
	// Username
	if(empty($_POST[username])) { 
		$error[] = $text[admin][15].' '.$text[info][3]; 
	} else {
		$sql_user = "ADMIN='$_POST[username]',";
	}

  // Pagetitle (Calendar name)
	if(empty($_POST[page_title])) {
		$error[] = $text[admin][10].' '.$text[info][4];
	} else {
		$sql_pagetitle = "PAGETITLE='$_POST[page_title]',";
	}

  // META keywords
	if(empty($_POST[meta_kw])) {
		$error[] = $text[admin][11].' '.$text[info][5];
	} else {
		$sql_metakw = "METAKEYW='$_POST[meta_kw]',";
	}
  
	// META description
	if(empty($_POST[meta_descr])) {
		$error[] = $text[admin][12].' '.$text[info][6];
	} else {
		$sql_metadescr = "METADESCR='$_POST[meta_descr]',";
	}
  
	// Event titles/day, INT
	if(empty($_POST[titles_per_day])) {
		$error[] = $text[admin][37].' '.$text[info][7];
	} else {
		$sql_tperday = "TPERDAY='$_POST[titles_per_day]',";
	}

  // Finally, the query
	$query = "UPDATE ".$tablepre."Settings SET 
	        ".$sql_pagetitle."
	        ".$sql_metakw."
					".$sql_metadescr."
					".$sql_user."
					".$sql_tperday."
					LANG='$_POST[language]',
					GUESTADD='$_POST[guestadd]',
					EDISPLAY='$_POST[eventdisplay]',
					EALIGN='$_POST[eventalign]',
					EDISPD='$displaydata',
					ESORT='$_POST[esort]',
					EORDER='$_POST[eorder]' WHERE ID=1";
  
	// If a new password wanted
	if(isset($_POST[new_password_check])) {
    if(!empty($_POST[new_password]) && !empty($_POST[new_password_conf])) {
			if($_POST[new_password] == $_POST[new_password_conf]) {
				$new_pass = md5($_POST[new_password]);
				$set_new_pass = "UPDATE calSettings SET ADMPW='$new_pass' WHERE ID=1";
				mysql_query($set_new_pass) or die(mysql_error());
			} else { // (Passowords didn't match)
				$error[0] = $text[admin][18].' '.$text[info][8];
			}
		} else { // (Empty passwords? no no no)
			$error[] = $text[admin][18].' '.$text[info][9];
		}
	}  

	mysql_query($query) or die(mysql_error());
	$emptypage = 1; // if not 1, show the html-form.
}

include('a_html_top.php');

// If emptypage=1, instead of form show the messages.
if($emptypage == 1) {
	if($error) {
	  print message('<span style="color: #FF0000; font-weight:bold;">'.$text[info][0].'</span>');
		foreach($error as $errormsg) {
			print '<li> '.$errormsg.'<br>';
		}
		print '<p>';
		print message('<span style="color: #008800; font-weight: bold;">'.$text[info][1].'</span>');
	} else {
		print message('<span style="color: #008800; font-weight: bold;">'.$text[info][2].'</span>');
	}
	print '</center>';
	print '<p><a href="a_system.php">'.$text[admin][50].'</a>';

} else {
?>

<form action="<?=$_SERVER[PHP_SELF]?>" method="post">
<table width="100%" border="0">
<tr>
<td colspan="2" class="titleMain"><?=$text[admin][8]?></td>
</tr>
<tr>
<td colspan="2" class="titleSub"><?=$text[admin][9]?></td>
</tr>
<tr>
<td><?=$text[admin][10]?></td>
<td><input type="text" name="page_title" size="40" value="<?=$SETTING[PAGETITLE]?>"></td>
</tr>
<tr>
<td><?=$text[admin][11]?></td>
<td><input type="text" name="meta_kw" size="40" value="<?=$SETTING[METAKEYW]?>"></td>
</tr>
<tr>
<td><?=$text[admin][12]?></td>
<td><textarea name="meta_descr" rows="4" cols="40"><?=$SETTING[METADESCR]?></textarea></td>
</tr>
<tr>
<td><?=$text[admin][13]?><br><br></td>
<td>
<select name="language">
<?php
// Get language files, valid: 'lang_smth.php'
$hakemisto = opendir($includepath);
while ($ltied = readdir($hakemisto)) {  
	if(ereg('^lang_', $ltied)) {
		$lang = ucfirst(substr($ltied, 5, -4));
		if($lang == $SETTING[LANG]) {
		  print '<option value="'.strtolower($lang).'" selected>'.$lang.'</option>';
		} else {
			print '<option value="'.strtolower($lang).'">'.$lang.'</option>';
		}
	}
}
?>
</select>
<br><br>
</td>
</tr>
<tr>
<td colspan="2" class="titleSub"><?=$text[admin][14]?></td>
</tr>
<tr>
<td><?=$text[admin][15]?></td>
<td><input type="text" name="username" size="40" value="<?=$SETTING[ADMIN]?>"></td>
</tr>
<tr>
<td><?=$text[admin][16]?></td>
<td><input type="checkbox" name="new_password_check"> <?=$text[admin][17]?></td>
</tr>
<tr>
<td><?=$text[admin][18]?></td>
<td><input type="text" name="new_password" size="40"></td>
</tr>
<tr>
<td><?=$text[admin][19]?></td>
<td><input type="text" name="new_password_conf" size="40"></td>
</tr>
<tr>
<td colspan="2" class="titleSub"><?=$text[admin][20]?></td>
</tr>
<tr>
<td><?=$text[admin][21]?></td>
<td>
<input type="radio" name="guestadd" value="1" <?php if($SETTING[GUESTADD]==1){print'checked';}?>>
<?=$text[other][1]?> 
<input type="radio" name="guestadd" value="0" <?php if($SETTING[GUESTADD]==0){print'checked';}?>>
<?=$text[other][2]?>
</td>
</tr>
<tr>
<td><?=$text[admin][22]?></td>
<td>
<input type="radio" name="eventdisplay" value="1" <?php if($SETTING[EDISPLAY]==1){print'checked';}?>> 
<?=$text[admin][23]?>
<input type="radio" name="eventdisplay" value="0" <?php if($SETTING[EDISPLAY]==0){print'checked';}?>>
<?=$text[admin][24]?>
</td>
</tr>
<tr>
<td><?=$text[admin][25]?></td>
<td>
<input type="radio" name="eventalign" value="left"<?php if($SETTING[EALIGN]=='left'){print' checked';}?>> <?=$text[admin][26]?>
<input type="radio" name="eventalign" value="center"<?php if($SETTING[EALIGN]=='center'){print' checked';}?>> <?=$text[admin][27]?>
<input type="radio" name="eventalign" value="right"<?php if($SETTING[EALIGN]=='right'){print' checked';}?>> <?=$text[admin][28]?>
</td>
</tr>
<?php
// explode the displaydata string
$eventddata = explode(',', $SETTING[EDISPD]);
?>
<tr>
<td><?=$text[admin][29]?></td>
<td>
<input type="checkbox" name="dtitle"   <?php if($eventddata[0]==1){print'checked';}?>> <?=$text[admin][30]?>
<input type="checkbox" name="dstart"   <?php if($eventddata[1]==1){print'checked';}?>> <?=$text[admin][31]?>
<input type="checkbox" name="dend"     <?php if($eventddata[2]==1){print'checked';}?>> <?=$text[admin][32]?>
<input type="checkbox" name="dcity"    <?php if($eventddata[3]==1){print'checked';}?>> <?=$text[admin][33]?>
<input type="checkbox" name="dcontact" <?php if($eventddata[4]==1){print'checked';}?>> <?=$text[admin][34]?>
<input type="checkbox" name="demail"   <?php if($eventddata[5]==1){print'checked';}?>> <?=$text[admin][35]?>
<input type="checkbox" name="ddescr"   <?php if($eventddata[6]==1){print'checked';}?>> <?=$text[admin][36]?>
</td>
</tr>
<tr>
<td><?=$text[admin][37]?><br><br></td>
<td><input type="text" name="titles_per_day" size="2" value="<?=$SETTING[TPERDAY]?>"> <?=$text[admin][38]?> 
<select name="esort">
<?php
// Sorting by..
$sorts = array($text[admin][30] => 'NAME', $text[admin][31] => 'STARTT', $text[admin][32] => 'ENDT', $text[admin][34] => 'CONTACTN', $text[admin][33] => 'LOCATION');
foreach($sorts as $sortname => $sortby) {
	if($SETTING[ESORT] == $sortby) { $check = ' selected'; } else {	$check = '';	}
	print '<option value="'.$sortby.'"'.$check.'>'.$sortname.'</option>'.chr(13).chr(10);
}
?>
</select> <?=$text[admin][39]?> 
<select name="eorder">
<?php
// And order by... ASC/DESC
$orders = array($text[admin][40] => 'ASC', $text[admin][41] => 'DESC');
foreach($orders as $ordername => $orderby) {
	if($SETTING[EORDER] == $orderby) { $check = ' selected'; } else {	$check = '';	}
	print '<option value="'.$orderby.'"'.$check.'>'.$ordername.'</option>'.chr(13).chr(10);
}
?>
</select><br><br></td>
</tr>
<tr>
<td colspan="2" class="titleSub"><?=$text[admin][42]?></td>
</tr>
<tr>
<td><?=$text[admin][43]?></td>
<td><input type="submit" name="edit_sys" value="<?=$text[admin][44]?>"> <input type="reset" value="<?=$text[admin][45]?>"> &nbsp; &nbsp; - &nbsp; &nbsp; <input type="submit" name="reset_to_def" value="<?=$text[admin][46]?>"></td>
</tr>
</table>
</form>

<?php
}
include('a_html_footer.php');
?>