<?php # $Id: serendipity_lang.inc.php,v 1.6 2003/09/30 21:22:00 tomsommer Exp $

if (!defined('serendipity_LANG_LOADED') || serendipity_LANG_LOADED !== true) {
    // Try and include preferred language from the configurated setting
    if ( @include('serendipity_lang_'. $serendipity['lang'] .'.inc.php') ) {
        // Only here can we truely say the language is loaded
        define('serendipity_LANG_LOADED', true);


    } elseif ( IS_installed === false ) {   /* -- Auto-Guess -- */
        // If no config file is loaded, language includes are not available.
        // Now include one. Try to auto-guess the language by looking up the HTTP_ACCEPT_LANGUAGE.
        $supported_languages = array('en', 'de');
        $possible_languages = explode(',', $_SERVER['HTTP_ACCEPT_LANGUAGE']);
        if (is_array($possible_languages)) {
            foreach($possible_languages as $index => $lang) {
                $preferred_language = preg_replace('|^([^\-_]*)|msU', '\1', $lang);
                if (in_array($preferred_language, $supported_languages)) {
                    include_once('serendipity_lang_' . $preferred_language . '.inc.php');
                    break;
                } // endif
            } // endforeach
        } // endif
    }  //endif


    // Do fallback to english
    if ( (defined('serendipity_LANG_LOADED') && serendipity_LANG_LOADED === true) || IS_installed === false) {
        include_once('serendipity_lang_en.inc.php');
    }
}

/* vim: set sts=4 ts=4 expandtab : */
?>
