<?php # $Id: layout.php,v 1.13 2003/11/11 15:45:32 garvinhicking Exp $

##########################################################################
# serendipity - another blogger...                                       #
##########################################################################
#                                                                        #
# (c) 2003 Jannis Hermanns <J@hacked.it>                                 #
# http://www.jannis.to/programming/serendipity.html                      #
#                                                                        #
##########################################################################
include_once("serendipity_config.inc.php");
include_once("serendipity_plugin_api.php");
include_once("serendipity_sidebar_items.php");

?>
<div id="serendipity_banner">
    <h1><?php echo htmlentities($serendipity['blogTitle']) ?></h1>
<?php
$sub = isset($serendipity['blogSubTitle']) ? $serendipity['blogSubTitle'] : $serendipity['blogDescription'];
if (strlen($sub)) {
?>
    <h2><?php echo $sub ?></h2>
<?php
}
?>
</div>

<table id="mainpane">
    <tr>
<?php
if (!$serendipity['embed'] || $serendipity['embed'] === 'false' || $serendipity['embed'] === false) {
    serendipity_plugin_api::generate_plugins('left', 'td');
}
?>
        <td id="content" valign="top">
<?php
if (!is_numeric($serendipity['GET']['range'])) {
    $serendipity['GET']['range'] = date('Ymd');
}

// The main area
switch ($serendipity['GET']['action']) {
    // User wants to read the diary
    case 'read':
        if (isset($serendipity['GET']['id'])) {
            serendipity_printEntries(array(serendipity_fetchEntry('id', $serendipity['GET']['id'])), 1);
        } else {
            serendipity_printEntries(serendipity_fetchEntries($serendipity['GET']['range'], true, 15));
        }
        break;

    // User searches
    case 'search':
        $r = serendipity_searchEntries($serendipity['GET']['searchTerm']);
        if ( strlen($serendipity['GET']['searchTerm']) <= 3 ) {
            echo SEARCH_TOO_SHORT;
            break;
        }

        if ($r === true) {
            printf(NO_ENTRIES_BLAHBLAH, $serendipity['GET']['searchTerm']);
            break;
        }

        printf(YOUR_SEARCH_RETURNED_BLAHBLAH, $serendipity['GET']['searchTerm'], count($r));
        serendipity_printEntries($r);
        break;

    // Show the archive
    case 'archives':
        serendipity_printArchives();
        break;


    // Welcome screen or whatever
    default:
        serendipity_printEntries(serendipity_fetchEntries(null, true, 15));
}
?>
        </td>
<?php
/* Find any plugins for the RHS */
if (!$serendipity['embed'] || $serendipity['embed'] === 'false' || $serendipity['embed'] === false) {
    serendipity_plugin_api::generate_plugins('right', 'td');
}
?>
    </tr>
</table>
