<?php
include_once 'serendipity_config.inc.php';
include_once 'serendipity_plugin_api.php';
include_once 'serendipity_sidebar_items.php';
?>
<div id="serendipity_banner">
  <h1><?php print htmlentities($serendipity['blogTitle']) ?></h1>
<?php
$sub = isset($serendipity['blogSubTitle']) ? $serendipity['blogSubTitle'] : $serendipity['blogDescription'];
if (strlen($sub)) {
  print '  <h2>' . $sub . '</h2>';
}
?>
</div>

<table id="mainpane">
  <tr>
<?php
if (!$serendipity['embed'] ||
     $serendipity['embed'] === 'false' ||
     $serendipity['embed'] === false) {
  serendipity_plugin_api::generate_plugins('left', 'td');
}
?>
    <td id="content" valign="top">
<?php
if (!is_numeric($serendipity['GET']['range'])) {
    $serendipity['GET']['range'] = date('Ymd');
}

switch ($serendipity['GET']['action']) {
  case 'read': {
    if (isset($serendipity['GET']['id'])) {
      serendipity_printEntries(array(serendipity_fetchEntry('id', $serendipity['GET']['id'])), 1);
    } else {
      serendipity_printEntries(serendipity_fetchEntries($serendipity['GET']['range'], true, 15));
    }
  }
  break;
  
  case 'search': {
    $r = serendipity_searchEntries($serendipity['GET']['searchTerm']);

    if (strlen($serendipity['GET']['searchTerm']) <= 3 ) {
      print SEARCH_TOO_SHORT;
      break;
    }
  
    if ($r === true) {
      printf(NO_ENTRIES_BLAHBLAH, $serendipity['GET']['searchTerm']);
      break;
    }
  
    printf(YOUR_SEARCH_RETURNED_BLAHBLAH, $serendipity['GET']['searchTerm'], count($r));
    serendipity_printEntries($r);
  }
  break;
  
  case 'archives': {
    serendipity_printArchives();
  }
  break;
  
  default: {
    serendipity_printEntries(serendipity_fetchEntries(null, true, 15));
  }
}
?>
    </td>
<?php
if (!$serendipity['embed'] ||
     $serendipity['embed'] === 'false' ||
     $serendipity['embed'] === false) {
    serendipity_plugin_api::generate_plugins('right', 'td');
}
?>
  </tr>
</table>
